<?php
namespace App\Http\Controllers;
use App\Models\AddCryptoFormSubmission;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Str;    //for UUID
use Illuminate\Support\Facades\Password;


class CryptoController extends Controller
{
    public function showForm()
    {
        return view('admin.pages.add_crypto');  
    }

    public function handleForm(Request $request)
    {
        $validatedData = $request->validate([
            'merchant_source' => 'required|string|max:255',
        ]);

        $existingCrypto = AddCryptoFormSubmission::where('merchant_source', $validatedData['merchant_source'])->first();

        if ($existingCrypto) {
            return response()->json(['status' => 'error', 'message' => 'Merchant source already exists.'], 409);
        }

        $crypto = new AddCryptoFormSubmission();
        $crypto->uid = (string) Str::uuid();
        $crypto->merchant_source = $validatedData['merchant_source'];
        $crypto->created_at = time();  
        $crypto->updated_at = time(); 

        // $result= $crypto->save();

        if ($crypto->save()) {
            return response()->json(['status' => 'success', 'message' => 'Merchant source added successfully.'], 201);
        } else {
            return response()->json(['status' => 'error', 'message' => 'Failed to add.'], 500);
        }
    }

}