<?php

namespace App\Http\Controllers;
use App\Models\FAQModel;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Str;    // for UUID
use Illuminate\Support\Facades\Password;

class FaqController extends Controller
{
    public function handleForm(Request $request)
    {
        $uid = (string) Str::uuid();  // Generate a UUID

        $faq = new FAQModel();
        $faq->uid = $uid;
        $faq->question = $request->question;
        $faq->answer = $request->answer;
        $faq->created_at = time();  
        $faq->updated_at = time();  
        $return = $faq->save();

        if ($return) {
            return response()->json(['status' => 'success', 'message' => 'FAQ added successfully'], 201);
        } else {
            return response()->json(['status' => 'error', 'message' => 'Failed to add FAQ.'], 500);
        }
    }

    public function showFAQ()
    {
        $faqs = FAQModel::all();
        return view('admin.pages.faq', compact('faqs'));
    }

    public function edit($id)
    {
        $faq = FAQModel::find($id);
        if (!$faq) {
            return redirect('/admin/faq')->with('error', 'FAQ not found');
        }
        $faqs = FAQModel::all(); 
        return view('admin.pages.faq', compact('faq', 'faqs'));
    }

    public function update(Request $request, $id)
    {
        $faq = FAQModel::find($id);

        if (!$faq) {
            return redirect('/admin/faq')->with('error', 'FAQ not found');
        }

        $faq->question = $request->question;
        $faq->answer = $request->answer; 
    
        $faq->save();

        return response()->json(['status' => 'success', 'message' => 'FAQ updated successfully']);
    }


    public function delete(Request $request)
    {
        $faq = FAQModel::find($request->id);
        if ($faq){
            $faq->delete();
            return response()->json(['success' => true, 'message' => 'FAQ deleted successfully']);
        }
        return response()->json(['success' => false, 'message' => 'FAQ not found']);
    }


}