<?php

namespace App\Http\Controllers;
use App\Models\PagesModel;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Str;    // for UUID
use Illuminate\Support\Facades\Password;

class PagesController extends Controller
{
    public function handleForm(Request $request)
    {
        $pagesModel = new PagesModel();
        $uid = (string) Str::uuid();  // Generate a UUID

        $pagesModel->uid = $uid;
        $pagesModel->title = $request->title;
        $pagesModel->heading = $request->heading;
        $pagesModel->content = $request->content;

        $return = $pagesModel->save();
        
        if ($return) {
            return response()->json(['status' => 'success', 'message' => 'Page added successfully'], 201);
        } else {
            return response()->json(['status' => 'error', 'message' => 'Failed to add page.'], 500);
        }
    }

    public function showPages()
    {
        $pages = PagesModel::all();
        return view('admin.pages.pages_details', compact('pages'));
    }

    public function edit($id)
    {
        $pages = PagesModel::find($id);
        if (!$pages) {
            return redirect('/admin/pages_details')->with('error', 'Manual Payment not found');
        }
        return view('admin.pages.pages', compact('pages'));
    }

    public function update(Request $request, $id)
    {
        $pages = PagesModel::find($id);

        if (!$pages) {
            return redirect('/admin/pages_details')->with('error', 'Page not found');
        }   

        $pages->title = $request->title;
        $pages->heading = $request->heading;
        $pages->content = $request->content;    
    
        $pages->save();

        // return redirect('/admin/pages_details')->with('success', 'Page updated successfully');
        return response()->json(['status' => 'success', 'message' => 'Page updated successfully']);
    }

    public function delete(Request $request)
    {
        $pages = PagesModel::find($request->id);
        if ($pages){
            $pages->delete();
            return response()->json(['success' => true, 'message' => 'Page deleted successfully']);
        }
        return response()->json(['success' => false, 'message' => 'Page not found']);
    }
    public function show($title)
    {
        $pages = PagesModel::where('title', $title)->first();
        return view('frontend.pages.showpage', compact('pages'));
    }

}