<?php

namespace App\Http\Controllers;
use App\Models\TestimonialModel;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Str;    // for UUID
use Illuminate\Support\Facades\Password;

class TestimonialController extends Controller
{
    public function handleForm(Request $request)
    {
        $uid = (string) Str::uuid();  // Generate a UUID

        $testimonial = new TestimonialModel();

        if ($request->hasFile('user_image')) {
            $userimg = $request->file('user_image');
            $imageName = time() . '.' . $userimg->getClientOriginalExtension();

            $userimg->storeAs('public/users_images', $imageName);
            $testimonial->user_image = $imageName; 
        } 

        $testimonial->uid = $uid;
        $testimonial->feedback = $request->feedback;
        $testimonial->created_at = time();  
        $testimonial->updated_at = time();  

        $return = $testimonial->save();

        if ($return) {
            return response()->json(['status' => 'success', 'message' => 'Testimonial added successfully'], 201);
        } else {
            return response()->json(['status' => 'error', 'message' => 'Failed to add testimonial.'], 500);
        }
    }

    public function showTestimonials(Request $request)
    {
        $tests = TestimonialModel::all();
        return view('admin/pages/testimonials', compact('tests'));
    }

    public function showTestimonialsfront(Request $request)
    {
        $tests = TestimonialModel::all();
        return view('frontend/pages/testimonials', compact('tests'));
    }

    public function edit($id)
    {
        $test = TestimonialModel::find($id);
        if (!$test) {
            return redirect('/admin/testimonials')->with('error', 'testimonial not found');
        }
        $tests = TestimonialModel::all(); 
        return view('admin.pages.testimonials', compact('test', 'tests'));
    }

    public function update(Request $request, $id)
    {
        $test = TestimonialModel::find($id);
        if (!$test) {
            return response()->json(['status' => 'error', 'message' => 'testimonial not found']);
        }
        $test->feedback = $request->feedback;
        $test->save();
        return response()->json(['status' => 'success', 'message' => 'testimonial updated successfully']);
    }


    public function delete(Request $request)
    {
        $test = TestimonialModel::find($request->id);
        if ($test){
            $test->delete();
            return response()->json(['success' => true, 'message' => 'testimonial deleted successfully']);
        }
        return response()->json(['success' => false, 'message' => 'testimonial not found']);
    }



}