<?php
namespace App\Mail;

use App\Models\ContactFormSubmission;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class ContactFormMail extends Mailable
{
    use Queueable, SerializesModels;

    public $contactFormSubmission;

    /**
     * Create a new message instance.
     *
     * @param \App\Models\ContactFormSubmission $contactFormSubmission
     * @return void
     */
    public function __construct(ContactFormSubmission $contactFormSubmission)
    {
        $this->contactFormSubmission = $contactFormSubmission;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->subject('New Contact Form Submission')
                    ->view('frontend.pages.contact_us');
    }
}
