@extends('admin.layouts.master')
@section('content')

<br>
<br>
    <div class="breadcrumbs">
        <div class="col-sm-4">
            <div class="page-header float-left">
                <div class="page-title">
                    <h1>FAQ</h1>
                </div>
            </div>
        </div>
    </div>

    <div class="content mt-3">

        <div class="col-sm-8">
			<div class="page-header float-left">
				<div class="page-title">
					<ol class="breadcrumb text-right">
						<a href="javascript:void(0);" id="addFaqsBtn" class="btn btn-primary">Add FAQs</a> 
					</ol>
				</div>
			</div>
			<div class=" float-left">
				<div class="page-title">
					<ol class="breadcrumb text-right">
						<a href="javascript:void(0);" id="viewFaqsBtn" class="btn btn-primary">View FAQs</a> 
					</ol>
				</div>
			</div>
		</div>

        <div id="addFaqsSection" class="col-md-12" style="display: block;">
            <div class="card">
                <div class="card-body">             
                    <form action="{{ isset($faq) ? route('faq.update', $faq->id) : route('faq.handleForm') }}" id="faqForm" method="POST">
                        @csrf
                        @if(isset($pages))
						@method('POST') 
						    <input type="hidden" name="faq_id" value="{{ $faq->id }}">
					    @endif
                        <div class="form-group">
                            <label>Question</label>
                            <input type="text" class="form-control" name="question" value="{{ isset($faq) ? $faq->question : '' }}">
                        </div>
                        <div class="form-group">
                            <label>Answer</label>
                            <textarea class="cleditor" rows="15" name="answer" >{{ isset($faq) ? $faq->answer : '' }}</textarea>
                        </div>
                        <button type="submit" class="btn btn-primary" name="btn_add"><i class="fa fa-plus"></i>{{ isset($faq) ? 'Edit' : 'Add' }}</button>
                    </form>		
                </div>
	        </div>
	    </div>
	</div>
	

    <div id="viewFaqsSection" class="content mt-3" style="display: none;">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <table class="table table-striped">
                        <thead>
                            <tr>
                                <th width="25%">Question</th>
                                <th width="35%">Answer</th>
                                <th width="15%">Created on</th>
                                <th width="15%">Updated on</th>
                                <th width="10%">Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($faqs as $f)
                            <tr>
                                <td>{{ $f->question }}</td>
                                <td>{{ \Illuminate\Support\Str::limit($f->answer, 80, '...') }}</td>
                                <td>{{ $f->created_at }}</td>
                                <td>{{ $f->updated_at }}</td>
                                <td>
                                    <a href="{{ route('faq.edit', $f->id) }}" id="submitBtn" class="editFaq" title="Edit"><i class="fa fa-pencil"></i></a> &nbsp; &nbsp; 
                                    <a href="javascript:void(0);" class="deleteBtn" data-merchant-id="{{ $f->id }}"  title="Delete"><i class="fa fa-times"></i></a>	
                                </td>
                            @endforeach 
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <script>
        $(document).ready(function() {
            $('#addFaqsSection').show();
            $('#viewFaqsSection').hide();

            $('#addFaqsBtn').click(function() {
                $('#addFaqsSection').fadeIn();
                $('#viewFaqsSection').hide();
            });

            $('#viewFaqsBtn').click(function() {
                $('#viewFaqsSection').fadeIn();
                $('#addFaqsSection').hide();
            });
        });
    </script>

    <script>
        $(document).ready(function() {
            $('#faqForm').submit(function(e) {
                e.preventDefault();

                // Get the form data
                var formData = $(this).serialize(); 

                $.ajax({
                    type: 'POST',   
                    url: $(this).attr('action'),
                    data: formData,
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') // Include CSRF token
                    },
                    success: function(response) {
                        if (response.status === 'success') {
                            toastr.success(response.message);
					        $('#faqForm')[0].reset();
                            $('.cleditor').cleditor()[0].clear();
                        } else {
                            toastr.error(response.message);
                        }
                    },
                    error: function(xhr, status, error) {
                        console.error(xhr.responseText);
                        alert('Something went wrong. Please try again.');
                    }
                });
            });
        });
    </script>

   

    <!-- script to delete a page using delete button-->
    <script>
        $(document).ready(function() {
            $('a.deleteBtn').click(function(e) {
                e.preventDefault(); 

                var fId = $(this).data('merchant-id'); 
                var row = $(this).closest('tr'); 

                // Ask for confirmation before deletion
                if (confirm('Are you sure you want to delete this FAQ?')) {
                    $.ajax({
                        url: '{{ route("faq.delete") }}', 
                        type: 'DELETE',
                        data: {
                            id: fId,
                            _token: '{{ csrf_token() }}' 
                        },
                        success: function(response) {
                            if (response.success) {
                                toastr.success('FAQ deleted successfully');
                                row.remove(); 
                            } else {
                                toastr.error(response.message || 'Failed to delete FAQ');
                            }
                        },
                        error: function(xhr) {
                            console.error(xhr.responseText);
                            toastr.error('An error occurred while deleting the FAQ');
                        }
                    });
                }
            });
        });
    </script>


@endsection
