@extends('admin.layouts.master')
@section('content')

<br>
<br>
<div class="breadcrumbs">
	<div class="col-sm-4">
		<div class="page-header float-left">
			<div class="page-title">
				<h1>Gateways</h1>
			</div>
		</div>
	</div>
</div>
<div class="content mt-3">

<div class="col-sm-8">
	<div class="page-header float-left">
		<div class="page-title">
			<ol class="breadcrumb text-right">
				<li>Add merchant</li>
			</ol>
		</div>
	</div>
</div>


<div class="col-md-12">
	<div class="card">
		<div class="card-body">
			<form action="{{ isset($gateway) ? route('gateway.update', ['id' => $gateway->id]) : route('gateway.handleForm') }}" id="merchantForm" method="POST">
				@csrf
				@if(isset($gateway))
					@method('POST') 
					<input type="hidden" name="gateway_id" value="{{ $gateway->id }}">
				@endif
				<div class="form-group">
					<label>Select merchant from available list</label>

					<select class="form-control custom-dropdown" name="name">
						<option value=""></option>
						<option value="Paypal" {{ isset($gateway) && $gateway->name == 'Paypal' ? 'selected' : '' }}>Paypal</option>
						<option value="AdvCash" {{ isset($gateway) && $gateway->name == 'AdvCash' ? 'selected' : '' }}>AdvCash</option>
						<option value="Entromoney" {{ isset($gateway) && $gateway->name == 'Entromoney' ? 'selected' : '' }}>Entromoney</option>
						<option value="Mollie" {{ isset($gateway) && $gateway->name == 'Mollie' ? 'selected' : '' }}>Mollie</option>
						<option value="Payeer" {{ isset($gateway) && $gateway->name == 'Payeer' ? 'selected' : '' }}>Payeer</option>
						<option value="Payza" {{ isset($gateway) && $gateway->name == 'Payza' ? 'selected' : '' }}>Payza</option>
						<option value="PerfectMoney" {{ isset($gateway) && $gateway->name == 'PerfectMoney' ? 'selected' : '' }}>PerfectMoney</option>
						<option value="Skrill" {{ isset($gateway) && $gateway->name == 'Skrill' ? 'selected' : '' }}>Skrill</option>
						<option value="SolidTrustMoney" {{ isset($gateway) && $gateway->name == 'SolidTrustMoney' ? 'selected' : '' }}>SolidTrustMoney</option>
						<option value="WebMoney" {{ isset($gateway) && $gateway->name == 'WebMoney' ? 'selected' : '' }}>WebMoney</option>
					</select>
				</div>

				<input type="hidden" name="exchange_type" value="2">

				<div class="form-group">
					<label>Currency</label>
					<select class="form-control custom-dropdown" name="currency">
						<option value=""></option>
						<option value="AED" {{ isset($gateway) && $gateway->currency == 'AED' ? 'selected' : '' }}> AED - United Arab Emirates Dirham</option>
						<option value="AFN" {{ isset($gateway) && $gateway->currency == 'AFN' ? 'selected' : '' }} > AFN - Afghanistan Afghani</option>
						<option value="ALL" {{ isset($gateway) && $gateway->currency == 'ALL' ? 'selected' : '' }} > ALL - Albania Lek</option>
						<option value="AMD" {{ isset($gateway) && $gateway->currency == 'AMD' ? 'selected' : '' }} > AMD - Armenia Dram</option>
						<option value="ANG" {{ isset($gateway) && $gateway->currency == 'ANG' ? 'selected' : '' }} > ANG - Netherlands Antilles Guilder</option>
						<option value="AOA" {{ isset($gateway) && $gateway->currency == 'AOA' ? 'selected' : '' }} > AOA - Angola Kwanza</option>
						<option value="ARS" {{ isset($gateway) && $gateway->currency == 'ARS' ? 'selected' : '' }} > ARS - Argentina Peso</option>
						<option value="AUD" {{ isset($gateway) && $gateway->currency == 'AUD' ? 'selected' : '' }} > AUD - Australia Dollar</option>
						<option value="AWG" {{ isset($gateway) && $gateway->currency == 'AWG' ? 'selected' : '' }} > AWG - Aruba Guilder</option>
						<option value="AZN" {{ isset($gateway) && $gateway->currency == 'AZN' ? 'selected' : '' }} > AZN - Azerbaijan New Manat</option>
						<option value="BAM" {{ isset($gateway) && $gateway->currency == 'BAM' ? 'selected' : '' }} > BAM - Bosnia and Herzegovina Convertible Marka</option>
						<option value="BBD" {{ isset($gateway) && $gateway->currency == 'BBD' ? 'selected' : '' }} > BBD - Barbados Dollar</option>
						<option value="BDT" {{ isset($gateway) && $gateway->currency == 'BDT' ? 'selected' : '' }} > BDT - Bangladesh Taka</option>
						<option value="BGN" {{ isset($gateway) && $gateway->currency == 'BGN' ? 'selected' : '' }} > BGN - Bulgaria Lev</option>
						<option value="BHD" {{ isset($gateway) && $gateway->currency == 'BHD' ? 'selected' : '' }} > BHD - Bahrain Dinar</option>
						<option value="BIF" {{ isset($gateway) && $gateway->currency == 'BIF' ? 'selected' : '' }} > BIF - Burundi Franc</option>
						<option value="BMD" {{ isset($gateway) && $gateway->currency == 'BMD' ? 'selected' : '' }} > BMD - Bermuda Dollar</option>
						<option value="BND" {{ isset($gateway) && $gateway->currency == 'BND' ? 'selected' : '' }} > BND - Brunei Darussalam Dollar</option>
						<option value="BOB" {{ isset($gateway) && $gateway->currency == 'BOB' ? 'selected' : '' }} > BOB - Bolivia Boliviano</option>
						<option value="BRL" {{ isset($gateway) && $gateway->currency == 'BRL' ? 'selected' : '' }} > BRL - Brazil Real</option>
						<option value="BSD" {{ isset($gateway) && $gateway->currency == 'BSD' ? 'selected' : '' }} > BSD - Bahamas Dollar</option>
						<option value="BTN" {{ isset($gateway) && $gateway->currency == 'BTN' ? 'selected' : '' }} > BTN - Bhutan Ngultrum</option>
						<option value="BWP" {{ isset($gateway) && $gateway->currency == 'BWP' ? 'selected' : '' }} > BWP - Botswana Pula</option>
						<option value="BYR" {{ isset($gateway) && $gateway->currency == 'BYR' ? 'selected' : '' }} > BYR - Belarus Ruble</option>
						<option value="BZD" {{ isset($gateway) && $gateway->currency == 'BZD' ? 'selected' : '' }} > BZD - Belize Dollar</option>
						<option value="CAD" {{ isset($gateway) && $gateway->currency == 'CAD' ? 'selected' : '' }} > CAD - Canada Dollar</option>
						<option value="CDF" {{ isset($gateway) && $gateway->currency == 'CDF' ? 'selected' : '' }} > CDF - Congo/Kinshasa Franc</option>
						<option value="CHF" {{ isset($gateway) && $gateway->currency == 'CHF' ? 'selected' : '' }} > CHF - Switzerland Franc</option>
						<option value="CLP" {{ isset($gateway) && $gateway->currency == 'CLP' ? 'selected' : '' }} > CLP - Chile Peso</option>
						<option value="CNY" {{ isset($gateway) && $gateway->currency == 'CNY' ? 'selected' : '' }} > CNY - China Yuan Renminbi</option>
						<option value="COP" {{ isset($gateway) && $gateway->currency == 'COP' ? 'selected' : '' }} > COP - Colombia Peso</option>
						<option value="CRC" {{ isset($gateway) && $gateway->currency == 'CRC' ? 'selected' : '' }} > CRC - Costa Rica Colon</option>
						<option value="CUC" {{ isset($gateway) && $gateway->currency == 'CUC' ? 'selected' : '' }} > CUC - Cuba Convertible Peso</option>
						<option value="CUP" {{ isset($gateway) && $gateway->currency == 'CUP' ? 'selected' : '' }} > CUP - Cuba Peso</option>
						<option value="CVE" {{ isset($gateway) && $gateway->currency == 'CVE' ? 'selected' : '' }} > CVE - Cape Verde Escudo</option>
						<option value="CZK" {{ isset($gateway) && $gateway->currency == 'CZK' ? 'selected' : '' }} > CZK - Czech Republic Koruna</option>
						<option value="DJF" {{ isset($gateway) && $gateway->currency == 'DJF' ? 'selected' : '' }} > DJF - Djibouti Franc</option>
						<option value="DKK" {{ isset($gateway) && $gateway->currency == 'DKK' ? 'selected' : '' }} > DKK - Denmark Krone</option>
						<option value="DOP" {{ isset($gateway) && $gateway->currency == 'DOP' ? 'selected' : '' }} > DOP - Dominican Republic Peso</option>
						<option value="DZD" {{ isset($gateway) && $gateway->currency == 'DZD' ? 'selected' : '' }} > DZD - Algeria Dinar</option>
						<option value="EGP" {{ isset($gateway) && $gateway->currency == 'EGP' ? 'selected' : '' }} > EGP - Egypt Pound</option>
						<option value="ERN" {{ isset($gateway) && $gateway->currency == 'ERN' ? 'selected' : '' }} > ERN - Eritrea Nakfa</option>
						<option value="ETB" {{ isset($gateway) && $gateway->currency == 'ETB' ? 'selected' : '' }} > ETB - Ethiopia Birr</option>
						<option value="EUR" {{ isset($gateway) && $gateway->currency == 'EUR' ? 'selected' : '' }} > EUR - Euro Member Countries</option>
						<option value="FJD" {{ isset($gateway) && $gateway->currency == 'FJD' ? 'selected' : '' }} > FJD - Fiji Dollar</option>
						<option value="FKP" {{ isset($gateway) && $gateway->currency == 'FKP' ? 'selected' : '' }} > FKP - Falkland Islands (Malvinas) Pound</option>
						<option value="GBP" {{ isset($gateway) && $gateway->currency == 'GBP' ? 'selected' : '' }} > GBP - United Kingdom Pound</option>
						<option value="GEL" {{ isset($gateway) && $gateway->currency == 'GEL' ? 'selected' : '' }} > GEL - Georgia Lari</option>
						<option value="GGP" {{ isset($gateway) && $gateway->currency == 'GGP' ? 'selected' : '' }} > GGP - Guernsey Pound</option>
						<option value="GHS" {{ isset($gateway) && $gateway->currency == 'GHS' ? 'selected' : '' }} > GHS - Ghana Cedi</option>
						<option value="GIP" {{ isset($gateway) && $gateway->currency == 'GIP' ? 'selected' : '' }} > GIP - Gibraltar Pound</option>
						<option value="GMD" {{ isset($gateway) && $gateway->currency == 'GMD' ? 'selected' : '' }} > GMD - Gambia Dalasi</option>
						<option value="GNF" {{ isset($gateway) && $gateway->currency == 'GNF' ? 'selected' : '' }} > GNF - Guinea Franc</option>
						<option value="GTQ" {{ isset($gateway) && $gateway->currency == 'GTQ' ? 'selected' : '' }} > GTQ - Guatemala Quetzal</option>
						<option value="GYD" {{ isset($gateway) && $gateway->currency == 'GYD' ? 'selected' : '' }} > GYD - Guyana Dollar</option>
						<option value="HKD" {{ isset($gateway) && $gateway->currency == 'HKD' ? 'selected' : '' }} > HKD - Hong Kong Dollar</option>
						<option value="HNL" {{ isset($gateway) && $gateway->currency == 'HNL' ? 'selected' : '' }} > HNL - Honduras Lempira</option>
						<option value="HPK" {{ isset($gateway) && $gateway->currency == 'HRK' ? 'selected' : '' }} > HRK - Croatia Kuna</option>
						<option value="HTG" {{ isset($gateway) && $gateway->currency == 'HTG' ? 'selected' : '' }} > HTG - Haiti Gourde</option>
						<option value="HUF" {{ isset($gateway) && $gateway->currency == 'HUF' ? 'selected' : '' }} > HUF - Hungary Forint</option>
						<option value="IDR" {{ isset($gateway) && $gateway->currency == 'IDR' ? 'selected' : '' }} > IDR - Indonesia Rupiah</option>
						<option value="ILS" {{ isset($gateway) && $gateway->currency == 'ILS' ? 'selected' : '' }} > ILS - Israel Shekel</option>
						<option value="IMP" {{ isset($gateway) && $gateway->currency == 'IMP' ? 'selected' : '' }} > IMP - Isle of Man Pound</option>
						<option value="INR" {{ isset($gateway) && $gateway->currency == 'INR' ? 'selected' : '' }} > INR - India Rupee</option>
						<option value="IQD" {{ isset($gateway) && $gateway->currency == 'IQD' ? 'selected' : '' }} > IQD - Iraq Dinar</option>
						<option value="IRR" {{ isset($gateway) && $gateway->currency == 'IRR' ? 'selected' : '' }} > IRR - Iran Rial</option>
						<option value="ISK" {{ isset($gateway) && $gateway->currency == 'ISK' ? 'selected' : '' }} > ISK - Iceland Krona</option>
						<option value="JEP" {{ isset($gateway) && $gateway->currency == 'JEP' ? 'selected' : '' }} > JEP - Jersey Pound</option>
						<option value="JMD" {{ isset($gateway) && $gateway->currency == 'JMD' ? 'selected' : '' }} > JMD - Jamaica Dollar</option>
						<option value="JOD" {{ isset($gateway) && $gateway->currency == 'JOD' ? 'selected' : '' }} > JOD - Jordan Dinar</option>
						<option value="JPY" {{ isset($gateway) && $gateway->currency == 'JPY' ? 'selected' : '' }} > JPY - Japan Yen</option>
						<option value="KES" {{ isset($gateway) && $gateway->currency == 'KES' ? 'selected' : '' }} > KES - Kenya Shilling</option>
						<option value="KGS" {{ isset($gateway) && $gateway->currency == 'KGS' ? 'selected' : '' }} > KGS - Kyrgyzstan Som</option>
						<option value="KHR" {{ isset($gateway) && $gateway->currency == 'KHR' ? 'selected' : '' }} > KHR - Cambodia Riel</option>
						<option value="KMF" {{ isset($gateway) && $gateway->currency == 'KMF' ? 'selected' : '' }} > KMF - Comoros Franc</option>
						<option value="KPW" {{ isset($gateway) && $gateway->currency == 'KPW' ? 'selected' : '' }} > KPW - Korea (North) Won</option>
						<option value="KRW" {{ isset($gateway) && $gateway->currency == 'KRW' ? 'selected' : '' }} > KRW - Korea (South) Won</option>
						<option value="KWD" {{ isset($gateway) && $gateway->currency == 'KWD' ? 'selected' : '' }} > KWD - Kuwait Dinar</option>
						<option value="KYD" {{ isset($gateway) && $gateway->currency == 'KYD' ? 'selected' : '' }} > KYD - Cayman Islands Dollar</option>
						<option value="KZT" {{ isset($gateway) && $gateway->currency == 'KZT' ? 'selected' : '' }} > KZT - Kazakhstan Tenge</option>
						<option value="LAK" {{ isset($gateway) && $gateway->currency == 'LAK' ? 'selected' : '' }} > LAK - Laos Kip</option>
						<option value="LBP" {{ isset($gateway) && $gateway->currency == 'LBP' ? 'selected' : '' }} > LBP - Lebanon Pound</option>
						<option value="LKR" {{ isset($gateway) && $gateway->currency == 'LKR' ? 'selected' : '' }} > LKR - Sri Lanka Rupee</option>
						<option value="LRD" {{ isset($gateway) && $gateway->currency == 'LRD' ? 'selected' : '' }} > LRD - Liberia Dollar</option>
						<option value="LSL" {{ isset($gateway) && $gateway->currency == 'LSL' ? 'selected' : '' }} > LSL - Lesotho Loti</option>
						<option value="LYD" {{ isset($gateway) && $gateway->currency == 'LYD' ? 'selected' : '' }} > LYD - Libya Dinar</option>
						<option value="MAD" {{ isset($gateway) && $gateway->currency == 'MAD' ? 'selected' : '' }} > MAD - Morocco Dirham</option>
						<option value="MDL" {{ isset($gateway) && $gateway->currency == 'MDL' ? 'selected' : '' }} > MDL - Moldova Leu</option>
						<option value="MGA" {{ isset($gateway) && $gateway->currency == 'MGA' ? 'selected' : '' }} > MGA - Madagascar Ariary</option>
						<option value="MKD" {{ isset($gateway) && $gateway->currency == 'MKD' ? 'selected' : '' }} > MKD - Macedonia Denar</option>
						<option value="MMK" {{ isset($gateway) && $gateway->currency == 'MMK' ? 'selected' : '' }} > MMK - Myanmar (Burma) Kyat</option>
						<option value="MNT" {{ isset($gateway) && $gateway->currency == 'MNT' ? 'selected' : '' }} > MNT - Mongolia Tughrik</option>
						<option value="MOP" {{ isset($gateway) && $gateway->currency == 'MOP' ? 'selected' : '' }} > MOP - Macau Pataca</option>
						<option value="MRO" {{ isset($gateway) && $gateway->currency == 'MRO' ? 'selected' : '' }} > MRO - Mauritania Ouguiya</option>
						<option value="MUR" {{ isset($gateway) && $gateway->currency == 'MUR' ? 'selected' : '' }} > MUR - Mauritius Rupee</option>
						<option value="MVR" {{ isset($gateway) && $gateway->currency == 'MVR' ? 'selected' : '' }} > MVR - Maldives (Maldive Islands) Rufiyaa</option>
						<option value="MWK" {{ isset($gateway) && $gateway->currency == 'MWK' ? 'selected' : '' }} > MWK - Malawi Kwacha</option>
						<option value="MXN" {{ isset($gateway) && $gateway->currency == 'MXN' ? 'selected' : '' }} > MXN - Mexico Peso</option>
						<option value="MYR" {{ isset($gateway) && $gateway->currency == 'MYR' ? 'selected' : '' }} > MYR - Malaysia Ringgit</option>
						<option value="MZN" {{ isset($gateway) && $gateway->currency == 'MZN' ? 'selected' : '' }} > MZN - Mozambique Metical</option>
						<option value="NAD" {{ isset($gateway) && $gateway->currency == 'NAD' ? 'selected' : '' }} > NAD - Namibia Dollar</option>
						<option value="NGN" {{ isset($gateway) && $gateway->currency == 'NGN' ? 'selected' : '' }} > NGN - Nigeria Naira</option>
						<option value="NTO" {{ isset($gateway) && $gateway->currency == 'NIO' ? 'selected' : '' }} > NIO - Nicaragua Cordoba</option>
						<option value="NOK" {{ isset($gateway) && $gateway->currency == 'NOK' ? 'selected' : '' }} > NOK - Norway Krone</option>
						<option value="NPR" {{ isset($gateway) && $gateway->currency == 'NPR' ? 'selected' : '' }} > NPR - Nepal Rupee</option>
						<option value="NZD" {{ isset($gateway) && $gateway->currency == 'NZD' ? 'selected' : '' }} > NZD - New Zealand Dollar</option>
						<option value="OMR" {{ isset($gateway) && $gateway->currency == 'OMR' ? 'selected' : '' }} > OMR - Oman Rial</option>
						<option value="PAB" {{ isset($gateway) && $gateway->currency == 'PAB' ? 'selected' : '' }} > PAB - Panama Balboa</option>
						<option value="PEN" {{ isset($gateway) && $gateway->currency == 'PEN' ? 'selected' : '' }} > PEN - Peru Nuevo Sol</option>
						<option value="PGK" {{ isset($gateway) && $gateway->currency == 'PGK' ? 'selected' : '' }} > PGK - Papua New Guinea Kina</option>
						<option value="PHP" {{ isset($gateway) && $gateway->currency == 'PHP' ? 'selected' : '' }} > PHP - Philippines Peso</option>
						<option value="PKR" {{ isset($gateway) && $gateway->currency == 'PKR' ? 'selected' : '' }} > PKR - Pakistan Rupee</option>
						<option value="PLN" {{ isset($gateway) && $gateway->currency == 'PLN' ? 'selected' : '' }} > PLN - Poland Zloty</option>
						<option value="PYG" {{ isset($gateway) && $gateway->currency == 'PYG' ? 'selected' : '' }} > PYG - Paraguay Guarani</option>
						<option value="QAR" {{ isset($gateway) && $gateway->currency == 'QAR' ? 'selected' : '' }} > QAR - Qatar Riyal</option>
						<option value="RON" {{ isset($gateway) && $gateway->currency == 'RON' ? 'selected' : '' }} > RON - Romania New Leu</option>
						<option value="RSD" {{ isset($gateway) && $gateway->currency == 'RSD' ? 'selected' : '' }} > RSD - Serbia Dinar</option>
						<option value="RUB" {{ isset($gateway) && $gateway->currency == 'RUB' ? 'selected' : '' }} > RUB - Russia Ruble</option>
						<option value="RWF" {{ isset($gateway) && $gateway->currency == 'RWF' ? 'selected' : '' }} > RWF - Rwanda Franc</option>
						<option value="SAR" {{ isset($gateway) && $gateway->currency == 'SAR' ? 'selected' : '' }} > SAR - Saudi Arabia Riyal</option>
						<option value="SBD" {{ isset($gateway) && $gateway->currency == 'SBD' ? 'selected' : '' }} > SBD - Solomon Islands Dollar</option>
						<option value="SCR" {{ isset($gateway) && $gateway->currency == 'SCR' ? 'selected' : '' }} > SCR - Seychelles Rupee</option>
						<option value="SDG" {{ isset($gateway) && $gateway->currency == 'SDG' ? 'selected' : '' }} > SDG - Sudan Pound</option>
						<option value="SEK" {{ isset($gateway) && $gateway->currency == 'SEK' ? 'selected' : '' }} > SEK - Sweden Krona</option>
						<option value="SGD" {{ isset($gateway) && $gateway->currency == 'SGD' ? 'selected' : '' }} > SGD - Singapore Dollar</option>
						<option value="SHP" {{ isset($gateway) && $gateway->currency == 'SHP' ? 'selected' : '' }} > SHP - Saint Helena Pound</option>
						<option value="SLL" {{ isset($gateway) && $gateway->currency == 'SLL' ? 'selected' : '' }} > SLL - Sierra Leone Leone</option>
						<option value="SOS" {{ isset($gateway) && $gateway->currency == 'SOS' ? 'selected' : '' }} > SOS - Somalia Shilling</option>
						<option value="SPL" {{ isset($gateway) && $gateway->currency == 'SPL' ? 'selected' : '' }} > SPL - Seborga Luigino</option>
						<option value="SRD" {{ isset($gateway) && $gateway->currency == 'SRD' ? 'selected' : '' }} > SRD - Suriname Dollar</option>
						<option value="STD" {{ isset($gateway) && $gateway->currency == 'STD' ? 'selected' : '' }} > STD - Sao Tome and Principe Dobra</option>
						<option value="SVC" {{ isset($gateway) && $gateway->currency == 'SVC' ? 'selected' : '' }} > SVC - El Salvador Colon</option>
						<option value="SYP" {{ isset($gateway) && $gateway->currency == 'SYP' ? 'selected' : '' }} > SYP - Syria Pound</option>
						<option value="SZL" {{ isset($gateway) && $gateway->currency == 'SZL' ? 'selected' : '' }} > SZL - Swaziland Lilangeni</option>
						<option value="THB" {{ isset($gateway) && $gateway->currency == 'THB' ? 'selected' : '' }} > THB - Thailand Baht</option>
						<option value="TJS" {{ isset($gateway) && $gateway->currency == 'TJS' ? 'selected' : '' }} > TJS - Tajikistan Somoni</option>
						<option value="TMT" {{ isset($gateway) && $gateway->currency == 'TMT' ? 'selected' : '' }} > TMT - Turkmenistan Manat</option>
						<option value="TND" {{ isset($gateway) && $gateway->currency == 'TND' ? 'selected' : '' }} > TND - Tunisia Dinar</option>
						<option value="TOP" {{ isset($gateway) && $gateway->currency == 'TOP' ? 'selected' : '' }} > TOP - Tonga Pa'anga</option>
						<option value="TRY" {{ isset($gateway) && $gateway->currency == 'TRY' ? 'selected' : '' }} > TRY - Turkey Lira</option>
						<option value="TTD" {{ isset($gateway) && $gateway->currency == 'TTD' ? 'selected' : '' }} > TTD - Trinidad and Tobago Dollar</option>
						<option value="TVD" {{ isset($gateway) && $gateway->currency == 'TVD' ? 'selected' : '' }} > TVD - Tuvalu Dollar</option>
						<option value="TWD" {{ isset($gateway) && $gateway->currency == 'TWD' ? 'selected' : '' }} > TWD - Taiwan New Dollar</option>
						<option value="TZS" {{ isset($gateway) && $gateway->currency == 'TZS' ? 'selected' : '' }} > TZS - Tanzania Shilling</option>
						<option value="UAH" {{ isset($gateway) && $gateway->currency == 'UAH' ? 'selected' : '' }} > UAH - Ukraine Hryvnia</option>
						<option value="UGX" {{ isset($gateway) && $gateway->currency == 'UGX' ? 'selected' : '' }} > UGX - Uganda Shilling</option>
						<option value="USD" {{ isset($gateway) && $gateway->currency == 'USD' ? 'selected' : '' }} > USD - United States Dollar</option>
						<option value="UYU" {{ isset($gateway) && $gateway->currency == 'UYU' ? 'selected' : '' }} > UYU - Uruguay Peso</option>
						<option value="UZS" {{ isset($gateway) && $gateway->currency == 'UZS' ? 'selected' : '' }} > UZS - Uzbekistan Som</option>
						<option value="VEF" {{ isset($gateway) && $gateway->currency == 'VEF' ? 'selected' : '' }} > VEF - Venezuela Bolivar</option>
						<option value="VND" {{ isset($gateway) && $gateway->currency == 'VND' ? 'selected' : '' }} > VND - Viet Nam Dong</option>
						<option value="VUV" {{ isset($gateway) && $gateway->currency == 'VUV' ? 'selected' : '' }} > VUV - Vanuatu Vatu</option>
						<option value="WST" {{ isset($gateway) && $gateway->currency == 'WST' ? 'selected' : '' }} > WST - Samoa Tala</option>
						<option value="XAF" {{ isset($gateway) && $gateway->currency == 'XAF' ? 'selected' : '' }} > XAF - Communaute Financiere Africaine (BEAC) CFA Franc BEAC</option>
						<option value="XCD" {{ isset($gateway) && $gateway->currency == 'XCD' ? 'selected' : '' }} > XCD - East Caribbean Dollar</option>
						<option value="XDR" {{ isset($gateway) && $gateway->currency == 'XDR' ? 'selected' : '' }} > XDR - International Monetary Fund (IMF) Special Drawing Rights</option>
						<option value="XOF" {{ isset($gateway) && $gateway->currency == 'XOF' ? 'selected' : '' }} > XOF - Communaute Financiere Africaine (BCEAO) Franc</option>
						<option value="XPF" {{ isset($gateway) && $gateway->currency == 'XPF' ? 'selected' : '' }} > XPF - Comptoirs Francais du Pacifique (CFP) Franc</option>
						<option value="YER" {{ isset($gateway) && $gateway->currency == 'YER' ? 'selected' : '' }} > YER - Yemen Rial</option>
						<option value="ZAR" {{ isset($gateway) && $gateway->currency == 'ZAR' ? 'selected' : '' }} > ZAR - South Africa Rand</option>
						<option value="ZMW" {{ isset($gateway) && $gateway->currency == 'ZMW' ? 'selected' : '' }} > ZMW - Zambia Kwacha</option>
						<option value="ZWD" {{ isset($gateway) && $gateway->currency == 'ZWD' ? 'selected' : '' }} > ZWD - Zimbabwe Dollar</option>
					</select>
				</div>
				<div class="form-group">
					<label>Minimal amount for exchange</label>
					<input type="text" class="form-control" name="min_amount" value="{{ isset($gateway) ? $gateway->min_amount : '' }}" >
				</div>
				<div class="form-group">
					<label>Maximum amount for exchange</label>
					<input type="text" class="form-control" name="max_amount" value="{{ isset($gateway) ? $gateway->max_amount : '' }}" >
				</div>
				<div class="form-group">
					<label>Reserve</label>
					<input type="text" class="form-control" name="reserve" value="{{ isset($gateway) ? $gateway->reserve : '' }}" >
				</div>
				<div class="form-group">
					<label>Fee</label>
					<input type="text" class="form-control" name="fee" value="{{ isset($gateway) ? $gateway->fee 	 : '' }}" >
					<small>The exchange rate is automatically converted by mconvert.net Currency Convertor API, but API convert just exchange rate. So you have a profit you need to fill this field with a number she will act as a percentage. For example: If you enter the number 2 would mean 2%, and if users exchanged 100 dollars to euro exchange rate is 1 USD = 0.97 EUR, will receive the 96EUR with the real exchange rate and if you set 2% your profit of 96 EUR will It was 1.92 EUR and the customer will receive 94.08 EUR. Enter number without %.</small>
				</div>
				<div id="account_fields">
					
				</div>
				<div class="checkbox">
					<label><input type="checkbox" name="include_fee" {{ isset($gateway) && $gateway->include_fee ? 'checked' : '' }} > Include extra fee in total amount for payment</label>
				</div>
				<div class="form-group">
					<label>Extra fee</label>
					<input type="text" class="form-control" name="extra_fee" value="{{ isset($gateway) ? $gateway->extra_fee : '' }}">
					<small>You can setup fixed or percentage fee. This fee will be used to calculate total amount for payment for client. For example: If user sell 100 and if fee is 10% must pay 110 or if user sell 50 and fee is fixed 5.99 must pay 55.99 and etc. If do not want to setup fee leave blank.</small>
				</div>
				<div class="checkbox">
					<label>
						<input type="checkbox" name="allow_send" {{ isset($gateway) && $gateway->allow_send ? 'checked' : '' }} > Allow customers to send money through this gateway
					</label>
				</div>
				<div class="checkbox">
					<label>
						<input type="checkbox" name="require_login" {{ isset($gateway) && $gateway->require_login ? 'checked' : '' }} > Require user to login before exchange
					</label>
				</div> 
				<div class="checkbox">
					<label>
						<input type="checkbox" name="require_email_verify" {{ isset($gateway) && $gateway->require_email_verify ? 'checked' : '' }} > Require user to verify their email address before exchange
					</label>
				</div>
				<div class="checkbox">
					<label>
						<input type="checkbox" name="require_document_verify" {{ isset($gateway) && $gateway->require_document_verify ? 'checked' : '' }} > Require user to verify their personal documents before exchange
					</label>
				</div>
				<div class="checkbox">
					<label>
						<input type="checkbox" name="require_mobile_verify" {{ isset($gateway) && $gateway->require_mobile_verify ? 'checked' : '' }} > Require user to verify their mobile number before exchange
					</label>
				</div>
				<input type="hidden" name="_token" value="{{ csrf_token() }}">
				<input type="hidden" name="merchant_id" id="merchant_id">

				<input type="hidden" name="external_icon" value="{{ asset('storage/currency_icons/default-image.jpg') }}">

				<button type="submit" class="btn btn-primary" name="btn_add"><i class="fa fa-plus"></i>Add </button>
			</form>
		</div>
	</div>
</div>


	<script>
		$('#merchantForm').on('submit', function (event) {
			event.preventDefault(); // Prevent default form submission

			var formData = {
				_token: $('input[name="_token"]').val(),
				name: $('select[name="name"]').val(),
				currency: $('select[name="currency"]').val(),
				min_amount: $('input[name="min_amount"]').val(),
				max_amount: $('input[name="max_amount"]').val(),
				reserve: $('input[name="reserve"]').val(),
				fee: $('input[name="fee"]').val(),
				extra_fee: $('input[name="extra_fee"]').val(),
				include_fee: $('input[name="include_fee"]').is(':checked') ? 1 : 0,
				allow_send: $('input[name="allow_send"]').is(':checked') ? 1 : 0,
				require_login: $('input[name="require_login"]').is(':checked') ? 1 : 0,
				require_email_verify: $('input[name="require_email_verify"]').is(':checked') ? 1 : 0,
				require_document_verify: $('input[name="require_document_verify"]').is(':checked') ? 1 : 0,
				require_mobile_verify: $('input[name="require_mobile_verify"]').is(':checked') ? 1 : 0,
			};

			if ($(this).attr('id') === 'merchantForm') {
				formData.exchange_type = 2;
			}

			$.ajax({
				type: 'POST',
				url: $(this).attr('action'),
				data: formData,
				headers: {
					'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
				},
				success: function (response) {
					toastr.success(response.message, 'Success');
					$('#merchantForm')[0].reset();
				},
				error: function (xhr) {
					const errors = xhr.responseJSON.errors;
					for (const field in errors) {
						toastr.error(errors[field][0], 'Error');
					}
				}
			}); 	
		});
	</script>

@endsection 