@extends('admin.layouts.master')
@section('content')

<br>
<br>
<div class="breadcrumbs">
	<div class="col-sm-4">
		<div class="page-header float-left">
			<div class="page-title">
				<h1>Gateways</h1>
			</div>
		</div>
	</div>
	
</div>

<div class="content mt-3">
	<div class="col-md-12">
		<div class="card">
			<div class="card-body">
			
			<table class="table table-striped">
				<thead>
					<tr>
						<th width="15%">Gateway</th>
						<th width="25%">Min/Max Amount</th>
						<th width="20%">Reserve</th>
						<th width="15%">Fee</th>
						<th width="15%">Allow send </th>
						<th width="10%">Action</th>
						<th width="10%">Edit/Delete</th>
					</tr>
				</thead>

                <tbody>
                    @foreach($manual_payment as $mp)
                        <tr>
                            <td>{{ $mp->gateway }}</td>
                            <td>{{ $mp->minimum_amount }} / {{ $mp->maximum_amount }}</td>
                            <td>{{ $mp->reserve }}</td>
                            <td>{{ $mp->fee }}</td>
                            <td>
                                @if($mp->allow_customers_to_send_money == 'true')
                                    &nbsp; &nbsp; <i class="fa fa-check" style="color: green;"></i> <!-- Tick mark -->
                                @else
                                    &nbsp; &nbsp; <i class="fa fa-times" style="color: red;"></i> <!-- Cross mark -->
                                @endif
                            </td>

                            <td>
                                <select name="status" class="status-select" id="status" data-merchant-id="{{ $mp->id }}">
                                    <option value="{{ $mp->status }}">{{$mp->status == 'Active' ? 'Active' : 'Not Active' }}</option>
                                    <option value="Active"  {{ $mp->status == 'Active' ? 'selected' : '' }}>Active</option>
                                    <option value="Not Active" {{ $mp->status == 'Not Active' ? 'selected' : '' }}>Not Active</option>
                                </select>	
                            </td>

                            <td>
								&nbsp; <a href="{{ route('payment.edit', $mp->id) }}" id="submitBtn" class="editForm" title="Edit"><i class="fa fa-pencil"></i></a> &nbsp; &nbsp; 
								&nbsp; <a href="javascript:void(0);" class="deleteBtn" data-merchant-id="{{ $mp->id }}"  title="Delete"><i class="fa fa-times"></i></a>	
							</td>

                        </tr>
                    @endforeach
                </tbody>
				
			</table>
		</div>
	</div>
</div>

<!-- the script to update the status from "Not active" to "Active" and vice versa in the manual_payment_details page -->
<script>
    $(document).ready(function() {
        $('.status-select').change(function() {
            var mpId = $(this).data('merchant-id');
            var status = $(this).val();

            $.ajax({
                url: '{{ route("manualPayment.updateStatus") }}', // Route for updating status
                type: 'POST',
                data: {
                    id: mpId,
                    status: status,
                    _token: '{{ csrf_token() }}' // Include CSRF token
                },
                success: function(response) {
                    if (response.success) {
                        toastr.success('Status updated successfully!');
                    } else {
                        toastr.error(response.message || 'Failed to update status.');
                    }
                },
                error: function(xhr) {
                    console.error(xhr.responseText);
                    toastr.error('An error occurred while updating status.');
                }
            });
        });
    });
</script>

<!-- script to delete the gateway from the gateway dashboard -->
<script>
    $(document).ready(function() {
        $('a.deleteBtn').click(function(e) {
            e.preventDefault(); 

            var mpId = $(this).data('merchant-id'); 
            var row = $(this).closest('tr'); 

            // Ask for confirmation before deletion
            if (confirm('Are you sure you want to delete this manual payment?')) {
                $.ajax({
                    url: '{{ route("payment.delete") }}', 
                    type: 'DELETE',
                    data: {
                        id: mpId,
                        _token: '{{ csrf_token() }}' 
                    },
                    success: function(response) {
                        if (response.success) {
                            toastr.success('Manual Payment deleted successfully');
                            row.remove(); 
                        } else {
                            toastr.error(response.message || 'Failed to delete payment');
                        }
                    },
                    error: function(xhr) {
                        console.error(xhr.responseText);
                        toastr.error('An error occurred while deleting the payment');
                    }
                });
            }
        });
    });
</script>





@endsection