@extends('admin.layouts.master')
@section('content')

<br>
<br>
<div class="breadcrumbs">
	<div class="col-sm-4">
		<div class="page-header float-left">
			<div class="page-title">
				<h1>Pages Details</h1>
			</div>
		</div>
	</div>
	
</div>

<div class="content mt-3">
	<div class="col-md-12">
		<div class="card">
			<div class="card-body">
                <table class="table table-striped">
                    <thead>
                        <tr>
                            <th width="17%">Title</th>
                            <th width="20%">Heading</th>
                            <th width="27%">Content</th>
                            <th width="20%">Created on</th>
                            <th width="24%">Updated on</th>
                            <th width="12%">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                    <tbody>
                        @foreach($pages as $p)
                            <tr>
                                <td>{{ $p->title }}</td>
                                <td>{{ $p->heading }}</td>
                                <td>{{ \Illuminate\Support\Str::limit($p->content, 80, '...') }}</td>
                                <td>{{ $p->created_at }}</td>
                                <td>{{ $p->updated_at }}</td>
                                <td>
								 <a href="{{ route('pages.edit', $p->id) }}" id="submitBtn" class="editForm" title="Edit"><i class="fa fa-pencil"></i></a> &nbsp; &nbsp; 
								 <a href="javascript:void(0);" class="deleteBtn" data-merchant-id="{{ $p->id }}"  title="Delete"><i class="fa fa-times"></i></a>	
                                </td>
                        @endforeach

                    </tbody>
				</table>
	
			</div>
		</div>
	</div>
</div>

<!-- script to delete a page using delete button-->
<script>
    $(document).ready(function() {
        $('a.deleteBtn').click(function(e) {
            e.preventDefault(); 

            var pId = $(this).data('merchant-id'); 
            var row = $(this).closest('tr'); 

            // Ask for confirmation before deletion
            if (confirm('Are you sure you want to delete this manual payment?')) {
                $.ajax({
                    url: '{{ route("pages.delete") }}', 
                    type: 'DELETE',
                    data: {
                        id: pId,
                        _token: '{{ csrf_token() }}' 
                    },
                    success: function(response) {
                        if (response.success) {
                            toastr.success('Page deleted successfully');
                            row.remove(); 
                        } else {
                            toastr.error(response.message || 'Failed to delete page');
                        }
                    },
                    error: function(xhr) {
                        console.error(xhr.responseText);
                        toastr.error('An error occurred while deleting the page');
                    }
                });
            }
        });
    });
</script>




@endsection
