@extends('frontend.layouts.master')
@section('content')

<head>

<link rel="stylesheet" href="{{asset('css/home.css')}}">
<link rel="stylesheet" href="{{asset('css/contact.css')}}">

</head>
<section class="contact-section">
  <div class="container">

    <h1 class="text-center currency-heading">Fast <span class="heading-color">currency exchanger</span></span></h1>
    <p class="text-center">Our service helps to make any exchange safely and quickly.</p>
    
    <div class="row currency-content rounded-4 mt-5 shadow mb-5 rounded position-relative bg-body-tertiary" >
      <div class="col-lg-4 pr-0 pl-0 cruncy-col p-row-margin cruncy-border-center left-right-padding">
        <div class="d-flex flex-row justify-content-between align-items-center first mb-4">
          <h4 class="cruncy-font mb-0">Give</h4>
          <p class="top-content-text mb-0" id="min-max">Min: -- Max: -- </p>
          <img src="{{url('')}}/img/arrow.svg" alt="+">
        </div>
       
        <div class="currency--input" style="padding:0px 24px">
          <input type="number" class="border" id="giveAmount" placeholder="0.00">
          
          <img id="currencyIcon" alt="Currency Icon" class="currency-padding-block-images" src="{{ asset('storage/currency_icons/' . session('selected_currency_icon')) }}">
        </div>
        
        <div class="currency--button tabchangegive" id="currencies" >
          <ul class="mb-0">
            <li>
              <a class="active tab_1" data-tab-name="all" onclick="filterCurrencies('ALL', 'give')">ALL</a>
            </li>

            @foreach($currencies as $currency)
              <li>
                <a onclick="filterCurrencies('{{ $currency->currency }}', 'give')">
                  {{ $currency->currency }}
                </a>
              </li>
            @endforeach
          </ul>
        </div>

        <div class="card-currency--list give">
          <ul style="list-style-type:none" class="pl-0">
            @foreach($currencies as $currency)
              <li class="currency-item {{ session('selected_currency') == $currency->currency ? 'selected' : '' }} " data-currency="{{ $currency->currency }}">
                <a class="active">
                  <span class="currency--logo">
                    <img alt="{{ $currency->currency }}" src="{{ asset('storage/currency_icons/' . $currency->external_icon) }}">
                  </span>
                  <p class="{{ $currency->name }}">{{$currency->name}}  {{ $currency->currency }}</p>
                  <span class="">
                    <!-- <img src=" " alt="+"> -->
                  </span>
                </a>
              </li>
            @endforeach
          </ul>
        </div>
      </div>


      <div class="col-lg-4 pr-0 pl-0 cruncy-col p-row-margin cruncy-border-center left-right-padding">
        <div class="d-flex flex-row justify-content-between align-items-center first mb-4">
          <h4 class="cruncy-font mb-0" >Take</h4>
          <div class="d-flex flex-wrap justify-content-end align-items-center">
            <p class="top-content-text mr-1 mb-0" id="take-min-max">Min: -- Max: -- </p>
            <img src="{{url('')}}/img/arrow.svg" alt="+" style="transform: scaleX(-1) rotate(180deg);">
          </div>
        </div>


        <div class="currency--input">
          <input type="number" id="takeAmount" class="border" placeholder="0.00">
          <img id="takeCurrencyIcon" alt="Currency Icon" class="currency-padding-block-images" src="">
        </div>

        <div class="currency--button tabchangetake">
          <ul class="mb-0">
            <li>
              <a class="active" onclick="filterCurrencies('ALL', 'take')">ALL</a>
            </li>
            @foreach($currencies as $currency)
              <li>
                <a onclick="filterCurrencies('{{ $currency->currency }}', 'take')">
                  {{ $currency->currency }}
                </a>
              </li>
            @endforeach
          </ul>
        </div>

        <div class="card-currency--list take">
          <ul style="list-style-type:none" class="pl-0">
            @foreach($currencies as $currency)
              <li class="currency-item" data-currency="{{ $currency->currency }}">
                <a class="active">
                  <span class="currency--logo">
                    <img alt="{{ $currency->currency }}" src="{{ asset('storage/currency_icons/' . $currency->external_icon) }}">
                  </span>
                  <p class="cur-logo-para mb-0">{{$currency->name}}  
                    <span class="currency--sum"> {{ $currency->currency }}</span>
                  </p>
                  <span class="currency--check">
                    <img src="{{ url('') }}/img/check.svg" alt="+">
                  </span>
                </a>
              </li>
            @endforeach
          </ul>
        </div>
      </div>

      <div class="col-lg-4 cruncy-col p-row-margin left-right-padding">
        <div class="currency-form--title first">
          <h4 class="text-center-third cruncy-font ">Exchange details</h4>
          <div style="justify-content: start;
              align-items: flex-start;
              flex-direction: column;">
            <p>Rate:
              11.512:
              1</p>
            <p id="fee">Fee:</p>
          </div>
        </div>

        <div class="p-box mb-3">
          <ul style="list-style-type:none" class="pl-0 mb-0">
            <li class="">
              <div class="currency--info__item"><span class="currency--logo">
                  <img id="giveCurrencyIcon" alt="Give Currency" src="">
                </span>
                <p class="currency-data--name mb-0" id="giveCurrencyDisplay"> <span class="currency--sum">INR </span></p>
                <span class="data--img"><img src="{{url('')}}/img/arrow.svg" alt="+" style="height: 14px;">
                </span>
              </div>
            </li>

            <li>
              <div class="currency--info__item"><span class="currency--logo">
                  <img id="takeCurrencyIcon" alt="Take Currency" src="">
                </span>
                <p class="currency-data--name mb-0" id="takeCurrencyDisplay">  &nbsp; <span class="currency--sum">  &nbsp;
                   </span></p>
                <span class="data--img"><img src="{{url('')}}/img/arrow.svg" alt="+" style="height: 14px;">
                </span>
              </div>
            </li>
          </ul>
        </div>


        <div class="padding">
          <p class="cruncy-p-font" style="color: rgb(75, 181, 107)">
            This direction requires verification.
          </p>
          <p class="cruncy-p-font" style="color: rgb(75, 181, 107) ">
            This direction requires verification of the account
            Приват 24 UAH
          </p>
        </div>

        <form class="dataInput--inputs" id="exchangeForm" method="POST">
        @csrf
          <h4 class="text-center cruncy-font">Enter form</h4>
          <input style="all:unset" type="hidden" id="give_currency_min" name="give_currency_minimum_amount">
          <input style="all:unset" type="hidden" id="give_currency_max" name="give_currency_maximum_amount">
          <input style="all:unset" type="hidden" id="take_currency_min" name="take_currency_minimum_amount">
          <input style="all:unset" type="hidden" id="take_currency_max" name="take_currency_maximum_amount">
          <input style="all:unset" type="hidden" id="give_amount" name="give_amount">
          <input style="all:unset" type="hidden" id="take_amount" name="take_amount">
          <input style="all:unset" type="hidden" id="give_currency" name="give_currency">
          <input style="all:unset" type="hidden" id="take_currency" name="take_currency">
          <!-- <input style="all:unset" type="hidden" id="rate" name="rate"> -->
          <input style="all:unset" type="hidden" id="conversion_fee" name="fee">
          
          <div id="inputsfield">
            <p>Loading.....</p>
          </div>
          <div class="mb-2 mt-2 ml-1">
            <label class="check-container">
              <input type="checkbox" name="agree_with_rules" value="true" required>
              <svg viewBox="0 0 64 64" height="20px" width="15px" class="me-2">
                <path
                  d="M 0 16 V 56 A 8 8 90 0 0 8 64 H 56 A 8 8 90 0 0 64 56 V 8 A 8 8 90 0 0 56 0 H 8 A 8 8 90 0 0 0 8 V 16 L 32 48 L 64 16 V 8 A 8 8 90 0 0 56 0 H 8 A 8 8 90 0 0 0 8 V 56 A 8 8 90 0 0 8 64 H 56 A 8 8 90 0 0 64 56 V 16"
                  pathLength="575.0541381835938" class="path"></path>
              </svg>
              I agree with the <a href="#"> &nbsp;rules</a>.
            </label>
          </div>

          <!-- KYC/AML Agreement -->
          <div class="mb-2 ml-1">
            <label class="check-container">
              <input type="checkbox" name="agree_with_KYC_policy" value="true" required>
              <svg viewBox="0 0 64 64" height="20px" width="15px" class="me-2">
                <path
                  d="M 0 16 V 56 A 8 8 90 0 0 8 64 H 56 A 8 8 90 0 0 64 56 V 8 A 8 8 90 0 0 56 0 H 8 A 8 8 90 0 0 0 8 V 16 L 32 48 L 64 16 V 8 A 8 8 90 0 0 56 0 H 8 A 8 8 90 0 0 0 8 V 56 A 8 8 90 0 0 8 64 H 56 A 8 8 90 0 0 64 56 V 16"
                  pathLength="575.0541381835938" class="path"></path>
              </svg>
              I agree with the&nbsp;
              <a href="#">
                KYC/AML policy
              </a>.
            </label>
          </div>
          <!-- Submit Button -->
          <button class="btn-submitForm mt-3" id="submitExchangeForm" type="submit">
            Start exchange
          </button>
        </form>
      </div>
    </div>

  </div>
</section>

    <!-- the script for filtering currencies on the basis of currency code -->
    <script>
      $(document).ready(function() {
        $('.tabchangegive a').on('click', function() {
          $('.tabchangegive a').removeClass('active');
          
          $(this).addClass('active');
        });
        $('.tabchangetake a').on('click', function() {
          $('.tabchangetake a').removeClass('active');
          
          $(this).addClass('active');
        });
      });

      function filterCurrencies(currency, section) {
        const $currencyItems = $(`.${section} .currency-item`);
        const $currencyButtons = $(`.${section} .currency--button a`);
        $currencyItems.each(function() {
          const itemCurrency = $(this).data('currency');
          if (currency === 'ALL' || itemCurrency.includes(currency)) {
            $(this).show(); 
          } else {
            $(this).hide();             
          }
        });
        $currencyButtons.removeClass('active');
        $(event.target).addClass('active');
        $(`.${section} .currency-item .active`).removeClass('active');
        const $selectedItem = $(`.${section} .currency-item[data-currency="${currency}"]`);
        if ($selectedItem.length) {
          $selectedItem.find('a').addClass('active');
        }
      }
    </script>

    <script>$('#giveAmount').focus();</script>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

    <!-- newer logic for currency conversion using API -->
    <script>  
      $(document).ready(function () {
        
        const exchangeRates = @json($currencyRates);  // Currency rates fetched from the server
        console.log(exchangeRates);
        let giveCurrency = 'INR';  // Default 'give' currency
        let takeCurrency = 'YER';  // Default 'take' currency
        updateCurrencyInfo('take', takeCurrency);
        updateCurrencyInfo('give', takeCurrency);

        selectCurrency('give', giveCurrency);
        selectCurrency('take', takeCurrency);
        filterCurrenciesForSection('take', giveCurrency);
        // updateCurrencyIcon('give', giveCurrency); // Update the initial give currency icon
        // updateCurrencyIcon('take', takeCurrency); // Update the initial take currency icon
        updateCardPlaceholder(giveCurrency); 

        $('#giveAmount').on('input', performCurrencyConversion);

        $('.card-currency--list.give .currency-item').on('click', function () {
          giveCurrency = $(this).data('currency');
          $('.card-currency--list.give .currency-item').removeClass('selected');
          $(this).addClass('selected');
          filterCurrenciesForSection('take', giveCurrency);  // Update take section to hide selected give currency
          
          updateCurrencyInfo('give', giveCurrency);

          performCurrencyConversion();
          updateCurrencyIcon('give', giveCurrency); // Update give currency icon
          updateCardPlaceholder(giveCurrency);
        });

        $('.card-currency--list.take .currency-item').on('click', function () {
          takeCurrency = $(this).data('currency');
          $('.card-currency--list.take .currency-item').removeClass('selected');
          $(this).addClass('selected');
          filterCurrenciesForSection('give', takeCurrency);  // Update give section to hide selected take currency
          $('#take_currency').val(takeCurrency);

          updateCurrencyInfo('take', takeCurrency);

          performCurrencyConversion();
          updateCurrencyIcon('take', takeCurrency); // Update take currency icon
        });

        function selectCurrency(section, currency) {
          const $currencyList = $(`.card-currency--list.${section}`);
          const $defaultCurrencyItem = $currencyList.find(`.currency-item[data-currency="${currency}"]`);
          if ($defaultCurrencyItem.length) {
            $currencyList.find('.currency-item').removeClass('selected');
            $defaultCurrencyItem.addClass('selected');
          }
        }

        // currencyToHide in the take section if selected in the give section
        function filterCurrenciesForSection(section, currencyToHide) {
          const $currencyItems = $(`.card-currency--list.${section} .currency-item`);
          $currencyItems.show();  // Reset all visibility
          $currencyItems.filter(`[data-currency="${currencyToHide}"]`).hide();  // Hide selected currency
        }

        function performCurrencyConversion() {
          const giveAmount = parseFloat($('#giveAmount').val()) || 0;

          $('#give_amount').val(giveAmount);

          if (!isNaN(giveAmount)) {
            const giveRate = exchangeRates[giveCurrency] || 1;
            const takeRate = exchangeRates[takeCurrency] || 1;

            if (giveRate && takeRate) {
              const amountInUSD = giveAmount / giveRate;
              const convertedAmount = amountInUSD * takeRate;
              $('#takeAmount').val(convertedAmount.toFixed(2));
              $('#take_amount').val(convertedAmount.toFixed(2));
            } else {
              alert('Conversion rate not available.');
            }
          }
        }

        function updateCurrencyIcon(section, currency) {
          $.ajax({
            url: '/?action=getCurrencyIcon&name=' + currency,
            method: 'GET',
              data: {
                  currency: currency,
                  _token: '{{ csrf_token() }}'
              },
              success: function(response) {
                  const iconPath = response.icon_path;
                  if (section === 'give') {
                      $('#currencyIcon').attr('src', iconPath);
                  } else if (section === 'take') {
                      $('#takeCurrencyIcon').attr('src', iconPath);
                  }
              },
              error: function() {
                  console.error('Failed to load currency icon.');
              }
          });
        }

        function updateCardPlaceholder(currency) {
          $('#cardNumberInput').attr('placeholder', `Card Number(${currency})`);
        }
        
        // function to update the minimum and maximum amount of different currency based on selected currency
        function updateCurrencyInfo(section, currency) {
          const limitSelector = section === 'give' ? '#min-max' : '#take-min-max';
          const feeSelector = section === 'give' ? '#fee': '';
          // Fetch limits
          $.ajax({
              url: '/?action=getCurrencyLimits&name=' + currency,
              method: 'GET',
              success: function(response) {
                if(section === 'take'){
                  $('#inputsfield').empty();  // Corrected with parentheses to call the function
                  let inputfield = response.formdata.map((forminput, index) => `
                  <div class="input-with-image">
                  <input type="text" class="input_fields" data-form-id="${forminput.id}" id="${forminput.id}" name="${forminput.id}" value="" placeholder="${forminput.field_value}" class="my-2 cruncy-start" />
                  <img src="{{ asset('storage/currency_icons/') }}/${response.external_icon}" alt="Wallet Icon" />
                  </div>
                  `).join('');  // Join the array to create a single string of HTML
                  
                  $('#inputsfield').append(inputfield);
                  $('#inputsfield').append(`<input name="currency" type="hidden" value="${currency}">`);
                }

                if(section === 'give'){
                  $('#give_currency_min').val(response.min_amount);
                  $('#give_currency_max').val(response.max_amount);
                  $('#give_currency').val(currency);
                }
                else if(section === 'take'){
                  $('#take_currency_min').val(response.min_amount);
                  $('#take_currency_max').val(response.max_amount);
                }

                if (response.min_amount !== undefined && response.max_amount !== undefined) 
                {
                  $(limitSelector).html(`Min: ${response.min_amount} Max: ${response.max_amount}`);
                } else {
                      $(limitSelector).html('Limits not available');
                }

                if(response.currency_fee !== undefined ) {
                  $(feeSelector).html(`Fee: ${response.fee} `);
                  if(section === "give")
                  {
                    $('#conversion_fee').val(response.fee);
                  }
                } 
                else {
                      $(feeSelector).html('Limits not available');
                }
              }
            });
        }

        $('#exchangeForm').submit(function(e) {
            e.preventDefault(); 
            var formData = new FormData(this); 
            $('.input_fields').each(function () {
              formData.append($(this).attr('name'), $(this).val());
            });

            $.ajax({
                url: '/submitExchange', 
                method: 'POST',
                data: formData,
                processData: false, 
                contentType: false, 
                headers: {  
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') 
                },
                success: function(response) {
                    toastr.success('Form submitted successfully!');
                },
                error: function(xhr, status, error) {
                  toastr.error('Error submitting form: ' + error);
                    $(".btn-submitForm").attr("disabled", false).text("Start exchange");
                },
                complete: function() {
                    $(".btn-submitForm").attr("disabled", false).text("Start exchange");
                }
            });
        });
      });
    </script>

    <!-- for displaying blue tick mark only when currency is selected in the "TAKE" section-->
    <script>  
      $(document).ready(function () {
        $('.card-currency--list.take .currency-item').on('click', function () {
          $('.card-currency--list.take .currency-item').removeClass('active');
          $('.card-currency--list.take .currency-item .currency--check').hide();
        
          $(this).addClass('active');
          $(this).find('.currency--check').show();
        });
      });
    </script>


    <!-- updated logic for displaying selected currency in the "EXCHANGE SECTION" -->
    <script>
      $(document).ready(function () {
        let giveAmount = 0;  
        let giveCurrency = 'INR';  
        let takeCurrency = 'JOD';  
        const exchangeRates = @json($currencyRates);  

        updateIcons(giveCurrency, takeCurrency);  // Initial icon update
        updateGiveCurrencyDisplay();

        function performCurrencyConversion() {
            if (giveAmount > 0) {
                const giveRate = exchangeRates[giveCurrency] || 1;
                const takeRate = exchangeRates[takeCurrency] || 1;
                if (giveRate && takeRate) {
                    const amountInUSD = giveAmount / giveRate;
                    const convertedAmount = amountInUSD * takeRate;
                    updateTakeCurrencyDisplay(convertedAmount);  
                } else {
                    alert('Conversion rate not available.');
                }
            }
        }

        $('#giveAmount').on('input', function () {
            giveAmount = parseFloat($(this).val()) || 0;  
            updateGiveCurrencyDisplay();
            performCurrencyConversion();
        });

        function updateGiveCurrencyDisplay() {
            $('#giveCurrencyDisplay').html(
                giveCurrency + '<span class="currency--sum"> ' + giveAmount + ' ' + giveCurrency + '</span>'
            );
        }

        function updateTakeCurrencyDisplay(convertedAmount) {
            $('#takeCurrencyDisplay').html(
                takeCurrency + '<span class="currency--sum"> ' + convertedAmount.toFixed(2) + ' ' + takeCurrency + '</span>'
            );
        }

        function updateCurrencyIcon(section, currency, iconSelector) {
            $.ajax({
                url: '/?action=getCurrencyIcon&name=' + currency,
                method: 'GET',
                success: function(response) {
                    $(iconSelector).attr('src', response.icon_path);
                },
                error: function() {
                    console.error('Failed to load currency icon.');
                }
            });
        }

        $('.card-currency--list.give .currency-item').on('click', function () {
            giveCurrency = $(this).data('currency');
            $('.card-currency--list.give .currency-item').removeClass('active');
            $(this).addClass('active');
            updateIcons(giveCurrency, takeCurrency);
            updateGiveCurrencyDisplay();
            performCurrencyConversion();
        });

        function updateIcons(giveCurrency, takeCurrency) {
            updateCurrencyIcon('give', giveCurrency, '#giveCurrencyIcon');
            updateCurrencyIcon('take', takeCurrency, '#takeCurrencyIcon');
        }
      });

    </script>

<!-- @include('frontend.pages.reserve') -->

@endsection