@extends('frontend.layouts.master')
@section('content')

<head>

<link rel="stylesheet" href="{{asset('css/home.css')}}">
<link rel="stylesheet" href="{{asset('css/contact.css')}}">

</head>
<section class="contact-section">
  <div class="container">

    <h1 class="text-center currency-heading">Fast <span class="heading-color">currency exchanger</span></span></h1>
    <p class="text-center">Our service helps to make any exchange safely and quickly.</p>
    
    <div class="row currency-content rounded-4 mt-5 shadow mb-5 rounded position-relative bg-body-tertiary" >
      <div class="col-lg-4 pr-0 pl-0 cruncy-col p-row-margin cruncy-border-center left-right-padding">
        <div class="d-flex flex-row justify-content-between align-items-center first mb-4">
          <h4 class="cruncy-font mb-0">Give</h4>
          <p class="top-content-text mb-0" id="min-max">Min: -- Max: -- </p>
          <img src="{{url('')}}/img/arrow.svg" alt="+">
        </div>
       
        <div class="currency--input" style="padding:0px 24px">
          <input type="number" class="border" id="giveAmount" placeholder="0.00">
          
          <img id="currencyIcon" alt="Currency Icon" class="currency-padding-block-images" src="{{ asset('storage/currency_icons/' . session('selected_currency_icon')) }}">
        </div>
        
        <div class="currency--button tabchangegive" id="currencies" >
          <ul class="mb-0">
            <li>
              <a class="active tab_1" data-tab-name="all" onclick="filterCurrencies('ALL', 'give')">ALL</a>
            </li>

            @foreach($currencies as $currency)
              <li>
                <a onclick="filterCurrencies('{{ $currency->currency }}', 'give')">
                  {{ $currency->currency }}
                </a>
              </li>
            @endforeach
          </ul>
        </div>

        <div class="card-currency--list give">
          <ul style="list-style-type:none" class="pl-0">
            @foreach($currencies as $currency)
              <li class="currency-item {{ session('selected_currency') == $currency->currency ? 'selected' : '' }} " data-currency="{{ $currency->currency }}">
                <a class="active">
                  <span class="currency--logo">
                    <img alt="{{ $currency->currency }}" src="{{ asset('storage/currency_icons/' . $currency->external_icon) }}">
                  </span>
                  <p class="{{ $currency->name }}">{{$currency->name}}  {{ $currency->currency }}</p>
                  <span class="">
                    <!-- <img src=" " alt="+"> -->
                  </span>
                </a>
              </li>
            @endforeach
          </ul>
        </div>
      </div>


      <div class="col-lg-4 pr-0 pl-0 cruncy-col p-row-margin cruncy-border-center left-right-padding">
        <div class="d-flex flex-row justify-content-between align-items-center first mb-4">
          <h4 class="cruncy-font mb-0" >Take</h4>
          <div class="d-flex flex-wrap justify-content-end align-items-center">
            <p class="top-content-text mr-1 mb-0" id="take-min-max">Min: -- Max: -- </p>
            <img src="{{url('')}}/img/arrow.svg" alt="+" style="transform: scaleX(-1) rotate(180deg);">
          </div>
        </div>


        <div class="currency--input">
          <input type="number" id="takeAmount" class="border" placeholder="0.00">
          <img class="takeCurrencyIcon" alt="Currency Icon" class="currency-padding-block-images" src="">
        </div>

        <div class="currency--button tabchangetake">
          <ul class="mb-0">
            <li>
              <a class="active" onclick="filterCurrencies('ALL', 'take')">ALL</a>
            </li>
            @foreach($currencies as $currency)
              <li>
                <a onclick="filterCurrencies('{{ $currency->currency }}', 'take')">
                  {{ $currency->currency }}
                </a>
              </li>
            @endforeach
          </ul>
        </div>

        <div class="card-currency--list take">
          <ul style="list-style-type:none" class="pl-0">
            @foreach($currencies as $currency)
              <li class="currency-item" data-currency="{{ $currency->currency }}">
                <a class="active">
                  <span class="currency--logo">
                    <img alt="{{ $currency->currency }}" src="{{ asset('storage/currency_icons/' . $currency->external_icon) }}">
                  </span>
                  <p class="cur-logo-para mb-0">{{$currency->name}}  
                    <span class="currency--sum"> {{ $currency->currency }}</span>
                  </p>
                  <span class="currency--check">
                    <img src="{{ url('') }}/img/check.svg" alt="+">
                  </span>
                </a>
              </li>
            @endforeach
          </ul>
        </div>
      </div>

      <div class="col-lg-4 cruncy-col p-row-margin left-right-padding">
        <div class="currency-form--title first">
          <h4 class="text-center-third cruncy-font ">Exchange details</h4>
          <div style="justify-content: start;
              align-items: flex-start;
              flex-direction: column;">
            <p>Rate:
              11.512:
              1</p>
            <p id="fee">Fee:</p>
          </div>
        </div>

        <div class="p-box mb-3">
          <ul style="list-style-type:none" class="pl-0 mb-0">
            <li class="">
              <div class="currency--info__item">
                <span class="currency--logo">
                  <img id="giveCurrencyIcon" alt="Give Currency" src="">
                </span>

                <p class="currency-data--name mb-0" id="giveCurrencyDisplay"> 
                  <span class="currency--sum">INR </span>
                </p>
                <span class="data--img">
                  <img src="{{url('')}}/img/arrow.svg" alt="+" style="height: 14px;">
                </span>
              </div>
            </li>

            <li>
              <div class="currency--info__item">
                <span class="currency--logo">
                  <img class="takeCurrencyIcon" alt="Take Currency" src="">
                </span>
                
                <p class="currency-data--name mb-0" id="takeCurrencyDisplay">  
                  <span class="currency--sum"> USD </span>
                </p>
                <span class="data--img">
                  <img src="{{url('')}}/img/arrow.svg" alt="+" style="height: 14px;">
                </span>
              </div>
            </li>
          </ul>
        </div>


        <div class="padding">
          <p class="cruncy-p-font" style="color: rgb(75, 181, 107)">
            This direction requires verification.
          </p>
          <p class="cruncy-p-font" style="color: rgb(75, 181, 107) ">
            This direction requires verification of the account
            Приват 24 UAH
          </p>
        </div>

        <form class="dataInput--inputs" id="exchangeForm" method="POST">
        @csrf
          <h4 class="text-center cruncy-font">Enter form</h4>
          <input style="all:unset" type="hidden" id="give_currency_min" name="give_currency_minimum_amount">
          <input style="all:unset" type="hidden" id="give_currency_max" name="give_currency_maximum_amount">
          <input style="all:unset" type="hidden" id="take_currency_min" name="take_currency_minimum_amount">
          <input style="all:unset" type="hidden" id="take_currency_max" name="take_currency_maximum_amount">
          <input style="all:unset" type="hidden" id="give_amount" name="give_amount">
          <input style="all:unset" type="hidden" id="take_amount" name="take_amount">
          <input style="all:unset" type="hidden" id="give_currency" name="give_currency">
          <input style="all:unset" type="hidden" id="take_currency" name="take_currency">
          <!-- <input style="all:unset" type="hidden" id="rate" name="rate"> -->
          <input style="all:unset" type="hidden" id="conversion_fee" name="fee">
          
          <div id="inputsfield">
            <p>Loading.....</p>
          </div>
          <div class="mb-2 mt-2 ml-1">
            <label class="check-container">
              <input type="checkbox" name="agree_with_rules" value="true" >
              <svg viewBox="0 0 64 64" height="20px" width="15px" class="me-2">
                <path
                  d="M 0 16 V 56 A 8 8 90 0 0 8 64 H 56 A 8 8 90 0 0 64 56 V 8 A 8 8 90 0 0 56 0 H 8 A 8 8 90 0 0 0 8 V 16 L 32 48 L 64 16 V 8 A 8 8 90 0 0 56 0 H 8 A 8 8 90 0 0 0 8 V 56 A 8 8 90 0 0 8 64 H 56 A 8 8 90 0 0 64 56 V 16"
                  pathLength="575.0541381835938" class="path"></path>
              </svg>
              I agree with the <a href="#"> &nbsp;rules</a>.
            </label>
          </div>

          <!-- KYC/AML Agreement -->
          <div class="mb-2 ml-1">
            <label class="check-container">
              <input type="checkbox" name="agree_with_KYC_policy" value="true" >
              <svg viewBox="0 0 64 64" height="20px" width="15px" class="me-2">
                <path
                  d="M 0 16 V 56 A 8 8 90 0 0 8 64 H 56 A 8 8 90 0 0 64 56 V 8 A 8 8 90 0 0 56 0 H 8 A 8 8 90 0 0 0 8 V 16 L 32 48 L 64 16 V 8 A 8 8 90 0 0 56 0 H 8 A 8 8 90 0 0 0 8 V 56 A 8 8 90 0 0 8 64 H 56 A 8 8 90 0 0 64 56 V 16"
                  pathLength="575.0541381835938" class="path"></path>
              </svg>
              I agree with the&nbsp;
              <a href="#">
                KYC/AML policy
              </a>.
            </label>
          </div>
          <!-- Submit Button -->
          <button class="btn-submitForm mt-3" id="submitExchangeForm" type="submit">
            Start exchange
          </button>
        </form>
      </div>
    </div>
          

  </div>
</section>

    <!-- the script for filtering currencies on the basis of currency code -->
    <script>
      $(document).ready(function() {
        $('.tabchangegive a').on('click', function() {
          $('.tabchangegive a').removeClass('active');
          
          $(this).addClass('active');
        });
        $('.tabchangetake a').on('click', function() {
          $('.tabchangetake a').removeClass('active');
          
          $(this).addClass('active');
        });
      });

      function filterCurrencies(currency, section) {
        const $currencyItems = $(`.${section} .currency-item`);
        const $currencyButtons = $(`.${section} .currency--button a`);
        $currencyItems.each(function() {
          const itemCurrency = $(this).data('currency');
          if (currency === 'ALL' || itemCurrency.includes(currency)) {
            $(this).show(); 
          } else {
            $(this).hide();             
          }
        });
        $currencyButtons.removeClass('active');
        $(event.target).addClass('active');
        $(`.${section} .currency-item .active`).removeClass('active');
        const $selectedItem = $(`.${section} .currency-item[data-currency="${currency}"]`);
        if ($selectedItem.length) {
          $selectedItem.find('a').addClass('active');
        }
      }
    </script>

    <script>$('#giveAmount').focus();</script>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

    
    <script>  
      $(document).ready(function () {
        
        @include('frontend.pages.CurrencyConversionScript')

        function updateCurrencyIcon(section, currency) {
          $.ajax({
            url: '/?action=getCurrencyIcon&currency=' + currency,
            method: 'GET',
              data: {
                  currency: currency,
                  _token: '{{ csrf_token() }}'
              },
              success: function(response) {
                  const iconPath = response.icon_path;
                  if (section === 'give') {
                      $('#currencyIcon').attr('src', iconPath);
                  } else if (section === 'take') {
                      $('.takeCurrencyIcon').attr('src', iconPath);
                  }
              },  
              error: function() {
                  console.error('Failed to load currency icon.');
              }
          });
        }

        function updateCardPlaceholder(currency) {
          $('#cardNumberInput').attr('placeholder', `Card Number(${currency})`);
        }
        
        // function to update the minimum and maximum amount of different currency based on selected currency
        function updateCurrencyInfo(section, currency) {
          const limitSelector = section === 'give' ? '#min-max' : '#take-min-max';
          const feeSelector = section === 'give' ? '#fee': '';
          // Fetch limits
          $.ajax({
              url: '/?action=getCurrencyLimits&currency=' + currency,
              method: 'GET',
              success: function(response) { 
                
              if(section === 'take'){
                $('#inputsfield').empty();
                
                if (response.a_field_1) {
                  $('#inputsfield').append(` 
                  <div class="input-with-image">
                    <input type="text" class="my-2 cruncy-start" name="a_field_1"  placeholder="${response.a_field_1.name}">
                  </div>
                  `);
                }
                if (response.a_field_2) {
                  $('#inputsfield').append(`
                  <div class="input-with-image">
                    <input class="my-2 cruncy-start" type="text" name="a_field_2"  placeholder="${response.a_field_2.name}">
                  </div>
                  `);
                }
                if (response.a_field_3) {
                  $('#inputsfield').append(`
                  <div class="input-with-image">
                    <input class="my-2 cruncy-start" type="text" name="a_field_3"  placeholder="${response.a_field_3.name}">
                  </div>  
                  `);
                }
                if (response.a_field_4) {
                  $('#inputsfield').append(`
                  <div class="input-with-image">
                    <input class="my-2 cruncy-start" type="text" name="a_field_4"  placeholder="${response.a_field_4.name}">
                  </div>  
                  `);
                }
                if (response.a_field_5) {
                  $('#inputsfield').append(`
                  <div class="input-with-image">
                    <input class="my-2 cruncy-start" type="text" name="a_field_5"  placeholder="${response.a_field_5.name}">
                  </div>  
                  `);
                }
                if (response.a_field_6) {
                  $('#inputsfield').append(`
                  <div class="input-with-image">
                    <input class="my-2 cruncy-start" type="text" name="a_field_6"  placeholder="${response.a_field_6.name}">
                  </div>  
                  `);
                }
                if (response.a_field_7) {
                  $('#inputsfield').append(`
                  <div class="input-with-image">
                    <input class="my-2 cruncy-start" type="text" name="a_field_7"  placeholder="${response.a_field_7.name}">
                  </div>  
                  `);
                }
                if (response.a_field_8) {
                  $('#inputsfield').append(`
                  <div class="input-with-image">
                    <input class="my-2 cruncy-start" type="text" name="a_field_8"  placeholder="${response.a_field_8.name}">
                  </div>  
                  `);
                }
                if (response.a_field_9) {
                  $('#inputsfield').append(`
                  <div class="input-with-image">
                    <input class="my-2 cruncy-start" type="text" name="a_field_9"  placeholder="${response.a_field_9.name}">
                  </div>  
                  `);
                }
                if (response.a_field_10) {
                  $('#inputsfield').append(`
                  <div class="input-with-image">
                    <input class="my-2 cruncy-start" type="text" name="a_field_10" placeholder="${response.a_field_10.name}">
                  </div>  
                  `);
                }
              }

              if(section === 'give'){
                  $('#give_currency_min').val(response.min_amount);
                  $('#give_currency_max').val(response.max_amount);
                  $('#give_currency').val(currency);
              }
              else if(section === 'take'){
                $('#take_currency_min').val(response.min_amount);
                $('#take_currency_max').val(response.max_amount);
              }

              if (response.min_amount !== undefined && response.max_amount !== undefined) 
              {
                $(limitSelector).html(`Min: ${response.min_amount} Max: ${response.max_amount}`);
                toastr.success(response.min_amount);
              } else {
                    $(limitSelector).html('Limits not available');
                    toastr.error(response.min_amount);
              }


              if(response.currency_fee !== undefined ) {
                $(feeSelector).html(`Fee: ${response.currency_fee} `);  
                if(section === "give")
                {
                  $('#conversion_fee').val(response.currency_fee);
                }
              } 
              else {
                  $(feeSelector).html('Limits not available');
              }
            }
          });
        }

        $('#exchangeForm').submit(function(e) {
            e.preventDefault(); 

            var takeCurrency = $('#take_currency').val().trim(); // Get the value of the field
            if (!takeCurrency) {
                toastr.warning('Please select currency'); // Show toastr message
                return false; // Stop form submission
            }

            var agreeWithRulesChecked = $('input[name="agree_with_rules"]').prop('checked');
            var agreeWithKYCChecked = $('input[name="agree_with_KYC_policy"]').prop('checked');

            // Check if both checkboxes are checked
            if (!agreeWithRulesChecked && !agreeWithKYCChecked) {
                toastr.warning('You must agree with both the rules and KYC policy.');
                return false; // Stop form submission
            } else if (!agreeWithRulesChecked) {
                toastr.warning('You must agree with the rules.');
                return false; // Stop form submission
            } else if (!agreeWithKYCChecked) {
                toastr.warning('You must agree with the KYC policy.');
                return false; // Stop form submission
            }
            
            var formData = new FormData(this); 

            $.ajax({
                url: '/submitExchange', 
                method: 'POST',
                data: formData,
                processData: false, 
                contentType: false, 
                headers: {  
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') 
                },
                success: function(response) {
                    toastr.success('Form submitted successfully!');
                },
                error: function(xhr, status, error) {
                  toastr.error('Error submitting form: ' + error);
                    $(".btn-submitForm").attr("disabled", false).text("Start exchange");
                },
                complete: function() {
                    $(".btn-submitForm").attr("disabled", false).text("Start exchange");
                }
            });
        });
      });
    </script>

    <!-- for displaying blue tick mark only when currency is selected in the "TAKE" section-->
    <script>  
      $(document).ready(function () {
        $('.card-currency--list.take .currency-item').on('click', function () {
          $('.card-currency--list.take .currency-item').removeClass('active');
          $('.card-currency--list.take .currency-item .currency--check').hide();
        
          $(this).addClass('active');
          $(this).find('.currency--check').show();
        });
      });
    </script>

    <!-- logic for displaying selected currency in the "EXCHANGE SECTION" -->
    @include('frontend.pages.ExchangeSectionScript')
      

<!-- @include('frontend.pages.reserve') -->

@endsection