@extends('frontend.layouts.master')
@section('content')

<section class="contact-section">
    <div class="contact-container">
        <!-- Title with Icon -->
        <div class="contact-title d-flex align-items-center justify-content-center">
            <h2 class="contact-heading">Privacy Notice</h2>
        </div>
        <!-- Row for Card -->
        <div class="row contact-row">
            <div class="col-12">
                <div class="contact-card">
                    <div class="contact-card-body">
                        <div class="row contact-info-row">
                            <div class="col-12 col-md-12 contact-info">
                                <p class="text-center"><b>Effective Date: 01/05/2023</b></p>
                                <br>
                                <p class="text-center"> <span>This Privacy Notice applies to&nbsp;<strong>ExchangeBuz
                                            Holdings Inc.</strong>&nbsp;and its group companies, which may operate under
                                        various trading names
                                        including&nbsp;<b>The-</b></span><b>ExchangeBuz</b>&nbsp;<span
                                        style="font-family: Arial, Verdana;">(collectively referred to as
                                        "</span><b>ExchangeBuz</b><span
                                        style="font-family: Arial, Verdana;"><b>&nbsp;Holdings Inc.,</b>" "<b>we</b>,"
                                        or "<b>our</b>"). This notice demonstrates our commitment to protecting your
                                        privacy rights and outlines the basis for processing any personal information we
                                        collect from you or that you provide to us. It covers:</span></p>
                                <br>
                                <p><span style="font-family: Arial, Verdana;">- The features and services offered on
                                        our websites, portals, and payment panels used by our clients.</span></p>
                                <p><span style="font-family: Arial, Verdana;">- The application and usage
                                        of&nbsp;</span>ExchangeBuz&nbsp;<span
                                        style="font-family: Arial, Verdana;">Holdings Inc.'s&nbsp;products and services,
                                        including loyalty and reward schemes.</span></p>
                                <p><span style="font-family: Arial, Verdana;">- The use of our software, including
                                        terminals, and mobile and desktop applications.</span></p>
                                <p><span style="font-family: Arial, Verdana;">- Communications between you
                                        and&nbsp;</span>ExchangeBuz&nbsp;<span
                                        style="font-family: Arial, Verdana;">Holdings Inc., including emails, SMS, phone
                                        calls, web-chat, and other electronic messages.</span></p>


                                <br>
                                <br>
                                <b>Please read this notice carefully to understand our views and practices regarding
                                    your data and how we will handle it.</b>

                                <br>
                                <br>
                                <b>• Information We May Collect From You</b>
                                <br>
                                <br>
                                <b>We may collect personal information in the following ways:</b>
                                <br> <br>
                                <p>• Directly from you when you inquire about or apply for&nbsp;<strong>ExchangeBuz
                                        Holdings Inc.</strong>&nbsp;services, register, or use any of our services, fill
                                    out forms on our websites, participate in events, or communicate with us via phone,
                                    email, or web chat.</p>


                                <p>• Automatically through cookies when you visit our websites. For more information,
                                    please read our&nbsp;<a href="{{url('/cookies-notice')}}">Cookie Policy</a>.</p>

                                <p>• From third parties, such as credit reference and fraud prevention agencies.</p>
                                <br>
                                <br>
                                <b>• Uses of Your Information</b>
                                <br>
                                <br>
                                <b>We use the information we collect to:</b>
                                <br> <br>
                                <p>• Provide and improve our products and services</p>
                                <p>• Notify you about changes to our products.</p>
                                <p>• Offer information about products similar to those you have used or inquired about,
                                    which may interest you.</p>
                                <p>• Assess your financial situation if you use our financial products.</p>
                                <p>• Identify and prosecute possible fraud.</p>
                                <br>
                                <br>
                                <b>• Disclosure of Your Information</b>
                                <br>
                                <br>
                                <b>We will not disclose your data except as outlined in this notice. We may share your
                                    information with:</b>
                                <br> <br>
                                <p>• Companies within&nbsp;<b>ExchangeBuz Holdings Inc.</b>.</p>
                                <p>• Third parties, including service providers, credit reference agencies, and
                                    financial institutions, to provide our products.</p>

                                <p>• Third parties to prevent crime, reduce risk, comply with legal obligations, respond
                                    to legal processes, or protect the rights and property of&nbsp;<b>ExchangeBuz
                                        Holdings Inc.</b>, our customers, or others.</p>
                                        <br>
                                <br>
                                <b>• Data Storage and Security</b>
                                <br>
                                <br>
                                <p>• Your information may be transferred to, stored at, and processed by recipients in
                                    countries outside the&nbsp;<strong>European Economic Area (EEA)</strong>&nbsp;with
                                    different data protection standards. We ensure that recipients use and protect your
                                    information securely.</p>

                                <p>• If we provide you with a password or other secure access means, you are responsible
                                    for keeping it confidential and complying with our instructions. Do not share your
                                    credentials with anyone, and authorize us to act on instructions from anyone using
                                    your credentials.</p>

                                <p>• While we strive to protect your data, we cannot guarantee the security of
                                    information transmitted to our site via the internet unless through a secure
                                    channel, we provide. Once received, we use strict procedures and security features
                                    to prevent unauthorized access.</p>
                                <br>
                                <br>
                                <b>• Your Rights</b>
                                <br>
                                <br>
                                <b>Depending on applicable data protection laws, you may have rights to:</b>
                                <br> <br>
                                <p>• Access, correct, update, or delete your personal information.</p>

                                <p>• Object to or restrict its processing.</p>

                                <p>• Request data portability.</p>
                                <p>• Revoke any consent given.</p>
                                <br><br>
                                <p><em>Note that exceptions to these rights may apply. For a full explanation, refer to
                                        our&nbsp;<a
                                            href="https://www.exchangebuz.com/page/comprehensive-privacy-policy">comprehensive
                                            privacy notice</a>.</em></p>

                                <br>
                                <b>• Automated Decision Making</b>
                                <br>
                                <br>

                                <p>Automated decisions are made based on computer algorithms without human review. For
                                    example, we use automated decisions for credit assessments and anti-fraud checks. If
                                    you are in the EU, you can object to automated decisions and request manual review.
                                </p>
                                <br>
                                <br>
                                <b>• Legal Basis for Processing</b>
                                <br>
                                <br>
                                <b>We process your personal information based on: </b>
                                <br> <br>
                                <p>• Your consent, for example, to send marketing messages.</p>

                                <p>• The necessity to enter into a contract with you and fulfill our contractual
                                    obligations.</p>

                                <p>• Legitimate interests that do not override your rights and freedoms.</p>
                                <p>• Legal obligations or protection of vital interests.</p>
                                <p>• Public interest, such as law enforcement requests.</p>
                                <br> <br>
                                <b>• Changes to Our Privacy Notice</b>
                                <br>

                                <p>We will post any changes to our privacy notice on this page and, where appropriate,
                                    notify you by email. Please check back frequently for updates.
                                </p>
                                <br> <br>
                                <b>• Contact Us</b>
                                <br>

                                <p>All comments, queries, and requests relating to our use of your information are
                                    welcomed. If you wish to exercise any of your rights or receive further information
                                    as to the applicable&nbsp;</span>ExchangeBuz Holdings Inc.<span
                                        style="font-family: Arial, Verdana;">&nbsp;to which this notice applies, you
                                        should write to the address below, or through&nbsp;<b><a
                                                href="https://www.exchangebuz.com/contact">Contact Us</a></b>.
                                </p>
                                <br>
                                <p><b>ExchangeBuz Holdings Inc.</b><span
                                        style="font-family: Arial, Verdana;">&rsquo;s&nbsp;Data Protection Officer is as
                                        stated below and can be contacted via the Contact Us link above or at the
                                        address below:</span></p>
                                <br>
                                <b>Sharon W. Russell</b> <br>
                                <b>ExchangeBuz Holdings Inc.</b> <br>
                                <b>448 10th Ave, New York, NY 10001, United States</b>.
                                <br>
                            </div>

                        </div>
                    </div>
                </div>
            </div>


        </div>
    </div>
</section>

@endsection