<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\UserController;
use App\Http\Controllers\MerchantController;
use App\Http\Controllers\ContactController;
use App\Http\Controllers\CryptoController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\CurrencyConversionController;
use App\Http\Controllers\CardController;
use App\Http\Controllers\PagesController;
use App\Http\Controllers\TestimonialController;
use App\Http\Controllers\FaqController;
use App\Http\Controllers\SettingsController;
use App\Http\Controllers\GatewayController;


/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/


Route::get('/', function () {
    return view('frontend/pages/home');
}); 


Route::get('/contact-us', function () {
    return view('frontend/pages/contact_us');
});
Route::get('/affiliate', function () {
    return view('frontend/pages/affiliate');
});

Route::get('/refund-policy', function () {
    return view('frontend/pages/refund_policy');
});
Route::get('/terms', function () {
    return view('frontend/pages/term_condition');
});
Route::get('/fraud-awareness', function () {
    return view('frontend/pages/fraud_awareness');
});
Route::get('/user-agreement', function () {
    return view('frontend/pages/user_agreement');
});
Route::get('/guarantees', function () {
    return view('frontend/pages/guarantees');
});
Route::get('/privacy-notice', function () {
    return view('frontend/pages/privacy_notice');
});
Route::get('/comprehensive-privacy-policy', function () {
    return view('frontend/pages/comprehensive_privacy_policy');
});
Route::get('/login', function () {
    return view('frontend/pages/login');
});
Route::get('/register', function () {
    return view('frontend/pages/register');
});

Route::get('register', [UserController::class, 'showRegistrationForm'])->name('register');

Route::post('register', [UserController::class, 'registerUser']);

Route::get('/reset', function () {
    return view('frontend/pages/reset-password');
});

Route::get('/login', [UserController::class, 'showLoginForm'])->name('login');  // Show login form
Route::post('/login', [UserController::class, 'login'])->name('login.submit');    // Handle login form submission

Route::get('/', function () {
    return view('frontend/pages/home');
});

Route::post('/logout', [UserController::class, 'logout'])->name('logout');


// Route::post('forgot-password', [UserController::class, 'sendResetLinkEmail'])->name('password.email');
// Route::get('password/reset/{token}', [UserController::class, 'showResetForm'])->name('password.reset');
// Route::post('password/reset', [UserController::class, 'reset'])->name('password.update');

Route::get('/forgot-password', [UserController::class, 'showLinkRequestForm'])->name('password.request');
Route::post('/forgot-password', [UserController::class, 'sendResetLinkEmail'])->name('password.email');
Route::get('/reset-password/{token}', [UserController::class, 'showResetForm'])->name('password.reset');
Route::post('/reset-password', [UserController::class, 'reset'])->name('password.update');



Route::get('/contact', [ContactController::class, 'showForm'])->name('contact.form');
Route::post('/contact', [ContactController::class, 'handleForm'])->name('contact.handleForm');



Route::get('/admin/dashboard', function () {
    return view('admin/pages/dashboard');
});
Route::get('/admin', function () {
    return view('admin/pages/dashboard');
});
Route::get('/admin/gateways', function () {
    return view('admin/pages/gateways');
});
Route::get('/admin/exchanges', function () {
    return view('admin/pages/exchanges');
});

Route::get('/admin/deposits', function () {
    return view('admin/pages/deposits');
});
Route::get('/admin/directions', function () {
    return view('admin/pages/directions');
});
Route::get('/admin/faq', function () {
    return view('admin/pages/faq');
});

Route::get('/admin/gateways/add_merchant', function () {
    return view('admin/pages/gateways/add_merchant');
});

Route::get('/admin/gateways/add_crypto', function () {
    return view('admin/pages/gateways/add_crypto');
});
Route::get('/admin/gateways/add_manual_payment', function () {
    return view('admin/pages/gateways/add_manual_payment');
});

Route::get('/admin/xml_rates', function () {
    return view('admin/pages/xml_rates');
});
// Route::get('/admin/users', function () {
//     return view('admin/pages/users');
// });
Route::get('/admin/testimonials', function () {
    return view('admin/pages/testimonials');
});
Route::get('/admin/withdrawals', function () {
    return view('admin/pages/withdrawals');
});
Route::get('/admin/pages', function () {
    return view('admin/pages/pages');
});
Route::get('/admin/languages', function () {
    return view('admin/pages/languages');
});
Route::get('/admin/settings', function () {
    return view('admin/pages/settings');
});
Route::get('/admin/support', function () {
    return view('admin/pages/support');
});

Route::get('/admin/gateways/manual_payment_details', function () {
    return view('admin/pages/gateways/manual_payment_details');
});

Route::get('/admin/pages_details', function () {
    return view('admin/pages/pages_details');
});




Route::post('/add_merchant', [MerchantController::class, 'handleForm'])->name('merchant.handleForm');

Route::get('/add_crypto', [CryptoController::class, 'showForm'])->name('crypto.showForm');

// Route::post('/add_crypto', [CryptoController::class, 'handleForm'])->name('crypto.handleForm');

// Route::get('/admin/gateways', [MerchantController::class, 'showGateways'])->name('gateways.show');
// Route::post('/update-merchant-status', [MerchantController::class, 'updateStatus'])->name('merchant.updateStatus');




Route::get('/', [HomeController::class, 'showPage']);
Route::post('/submitExchange', [HomeController::class, 'fieldValues'])->name('currency.form.submit');


Route::post('/submit-card-form', [CardController::class, 'handleForm'])->name('submit.card.form'); //for card_details form on home page

Route::get('/fetch-payment-data', [HomeController::class, 'fetchDetails']);

// Route::get('/admin/gateways/edit/{id}', [MerchantController::class, 'edit'])->name('merchant.edit');
// Route::post('/admin/gateways/update/{id}', [MerchantController::class, 'update'])->name('merchant.update');

// Route::delete('/admin/merchant/delete', [MerchantController::class, 'delete'])->name('merchant.delete');

Route::get('/admin/gateways/manual_payment_details', [ManualPaymentController::class, 'displayManualPayment'])->name('manual_payment.show');
Route::post('/update_manual_payment_status', [ManualPaymentController::class, 'updateStatus'])->name('manualPayment.updateStatus');


Route::post('/admin/gateways/manual_payment_details/update/{id}', [ManualPaymentController::class, 'update'])->name('payment.update');
Route::delete('/admin/manual_payment/delete', [ManualPaymentController::class, 'delete'])->name('payment.delete');


Route::post('/add_pages', [PagesController::class, 'handleForm'])->name('pages.handleForm');
Route::get('/admin/pages_details', [PagesController::class, 'showPages'])->name('pages.show');
Route::get('/admin/pages_details/edit/{id}', [PagesController::class, 'edit'])->name('pages.edit');
Route::post('/admin/pages_details/update/{id}', [PagesController::class, 'update'])->name('pages.update');
Route::delete('/admin/pages/delete', [PagesController::class, 'delete'])->name('pages.delete');




Route::get('/pages/{title}', [PagesController::class, 'show'])->name('pages.display');

Route::get('/admin/users', [UserController::class, 'showUser'])->name('users.show');
Route::post('/update_user_status', [UserController::class, 'updateStatus'])->name('user.updateStatus');


Route::post('admin/testimonials', [TestimonialController::class, 'handleForm'])->name('testimonials.handleForm');
Route::get ('admin/testimonials', [TestimonialController::class, 'showTestimonials'])->name('testimonials.show');
Route::get('/admin/testimonials/edit/{id}', [TestimonialController::class, 'edit'])->name('testimonials.edit');
Route::post('/admin/testimonials/update/{id}', [TestimonialController::class, 'update'])->name('testimonials.update');
Route::delete('/admin/testimonials/delete', [TestimonialController::class, 'delete'])->name('testimonials.delete');

Route::get('/testimonials',[TestimonialController::class, 'showTestimonialsfront'])->name('testimonials.front');

Route::post('admin/faq', [FaqController::class, 'handleForm'])->name('faq.handleForm');
Route::get('/admin/faq', [FaqController::class, 'showFAQ'])->name('faq.show');
Route::get('/admin/faq/edit/{id}', [FaqController::class, 'edit'])->name('faq.edit');
Route::post('/admin/faq/update/{id}', [FaqController::class, 'update'])->name('faq.update');
Route::delete('/admin/faq/delete', [FaqController::class, 'delete'])->name('faq.delete');


Route::post('/admin/settings', [SettingsController::class, 'handleForm'])->name('settings.handleForm');
Route::post('/admin/settings/update/{id}', [SettingsController::class, 'update'])->name('settings.update');
Route::post('/settings/delete-logo', [SettingsController::class, 'deleteLogo'])->name('settings.deleteLogo');


// for gateway
Route::post('/admin/add_manual_payment', [GatewayController::class, 'handleForm'])->name('gateway.handleForm');
Route::get('/admin/gateways/manual_payment_details', [GatewayController::class, 'displayGateway'])->name('manual_payment.show');
// Route::post('/update_manual_payment_status', [GatewayController::class, 'updateStatus'])->name('manualPayment.updateStatus');


Route::get('/admin/gateways/manual_payment_details/edit/{id}', [GatewayController::class, 'editGateway'])->name('payment.edit');


Route::get('/admin/gateways', [GatewayController::class, 'showGateways'])->name('gateways.show');
Route::post('/admin/add_merchant', [GatewayController::class, 'handleForm'])->name('gateway.handleForm');
Route::post('/add_crypto', [GatewayController::class, 'handleForm'])->name('gateway.handleForm');

Route::post('/update-gateway-status', [GatewayController::class, 'updateGatewayStatus'])->name('gateway.updateGatewayStatus');
Route::delete('/admin/gateways/delete', [GatewayController::class, 'deleteGateway'])->name('gateway.deleteGateway');
Route::get('/admin/gateways/edit/{id}', [GatewayController::class, 'editGateway'])->name('gateway.edit');

Route::post('/admin/gateways/update/{id}', [GatewayController::class, 'updateGateway'])->name('gateway.update');

Route::get('/displayInfo', [SettingsController::class, 'displayInfo'])->name('gateway.displayInfo');







